import { Space,Image } from 'antd'
import React from 'react'
const tableConfig:any = () => {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            width:50,
            align: 'center',
        },
        {
            title: '投诉时间',
            dataIndex: 'createTime',
            align:'center',
            ellipsis: true,
            width:160,
        },
        {
            title: '用户',
            dataIndex: 'nickName',
            key: 'nickName',
            align: 'center',
            width:180,
            render: (a: any, b: any) => {
                return <div>
                    <Space>
                        {b?.headImgUrl && <img src={b?.headImgUrl} style={{ width: 30, height: 30 }} />} 
                        <span>{a}</span>
                    </Space>
                </div>
            }
        },
        {
            title: '客服',
            align: 'center',
            dataIndex: 'operateSign',
            key: 'operateSign',
            width:150,
        },
        {
            title: '图片',
            dataIndex: 'pictureUrlList',
            key: 'pictureUrlList',
            align: 'center',
            width:200,
            render:(a: any)=>{
                return <Space>
                    {a?.map((item: string | undefined)=>{
                        return <Image src={item} style={{width:25,height:25}} />
                    })}
                </Space>
            }
        },
        {
            title: '投诉内容',
            dataIndex: 'contentList',
            key: 'contentList',
            align: 'center',
            ellipsis: true,
            width:200,
            render:(a: any[])=>{
                return a? a[0] :'/'
            }
        },
        {
            title: '投诉描述',
            dataIndex: 'message',
            key: 'message',
            align: 'center',
            ellipsis: true,
        },
    ]
}

export default tableConfig