import { HeartFilled, HeartOutlined } from "@ant-design/icons"
import React from "react"
import ToMp from '../../components/toMp'
export function columnsMp(collect: (arg: { id: any, c: boolean, name: 'adq' | 'mp' }) => void): any {
    return [
        {
            title: '收藏',
            dataIndex: 'cz',
            align: 'center',
            key: 'cz',
            width: 50,
            render: (a: any, b: any) => {
                return b?.collected ? <a onClick={() => {
                    collect({ id: b.id, c: false, name: 'mp' })
                }}><HeartFilled style={{ color: 'red' }} /></a> : <a onClick={() => {
                    collect({ id: b.id, c: true, name: 'mp' })
                }}><HeartOutlined /></a>
            },
        },
        {
            title: '广告主名称',
            dataIndex: 'uname',
            key: 'uname',
            align: 'center',
            width: 100,
            render: (a: any, b: any) => {
                let props = {
                    name:a,
                    type:1,
                    planId: '',
                    id:b.id
                }
                return <ToMp {...props} />
            }
        },
        {
            title: 'AppId',
            dataIndex: 'appid',
            key: 'appid',
            align: 'center',
            width: 160
        },
        {
            title: '原始ID',
            dataIndex: 'wxname',
            key: 'wxname',
            align: 'center',
            width: 140,
        },
        {
            title: '账号ID',
            dataIndex: 'uid',
            key: 'uid',
            align: 'center',
            width: 90,
        },
        {
            title: '所属服务商SPID',
            dataIndex: 'spid',
            key: 'spid',
            width: 120,
            align: 'center',
        },
        {
            title: '服务商',
            dataIndex: 'channel',
            key: 'channel',
            width: 200,
            render: (a: any, b: any) => {
                return <span>{a?.accountName}</span>
            }
        },
        {
            title: '主体名称',
            dataIndex: 'companyName',
            key: 'companyName',
            width: 300
        },
    ]
}
export function columnsAdq(collect: (arg: { id: any, c: boolean, name: 'adq' | 'mp' }) => void): any {
    return [
        {
            title: '收藏',
            dataIndex: 'cz',
            align: 'center',
            key: 'cz',
            width: 50,
            render: (a: any, b: any) => {
                return b?.collected ? <a onClick={() => {
                    collect({ id: b.id, c: false, name: 'adq' })
                }}><HeartFilled style={{ color: 'red' }} /></a> : <a onClick={() => {
                    collect({ id: b.id, c: true, name: 'adq' })
                }}><HeartOutlined /></a>
            },
        },
        {
            title: '账号ID',
            dataIndex: 'uid',
            key: 'uid',
            align: 'center',
            width: 90,
        },
        {
            title: '服务商',
            dataIndex: 'channel',
            key: 'channel',
            width: 200,
            align: 'center',
            render: (a: any, b: any) => {
                return <span>{a?.accountName}</span>
            }
        },
        {
            title: '广告主名称',
            dataIndex: 'uname',
            key: 'uname',
            align: 'center',
            width: 200
        },
    ]
}