import { HeartFilled, HeartOutlined } from "@ant-design/icons"
import React from "react"

export function columnsMp(collect: (arg: { id: any, c: boolean, name: 'adq' | 'mp' }) => void): any {
    return [
        {
            title: '收藏',
            dataIndex: 'cz',
            align: 'center',
            key: 'cz',
            width: 50,
            render: (a: any, b: any) => {
                return b?.collected ? <a onClick={() => {
                    collect({ id: b.id, c: false, name: 'mp' })
                }}><HeartFilled style={{ color: 'red' }} /></a> : <a onClick={() => {
                    collect({ id: b.id, c: true, name: 'mp' })
                }}><HeartOutlined /></a>
            },
        },
        {
            title: '广告主名称',
            dataIndex: 'uname',
            key: 'uname',
            align: 'center',
            ellipsis: true,
            width: 140
        },
        {
            title: 'AppId',
            dataIndex: 'appid',
            key: 'appid',
            align: 'center',
            width: 180,
            ellipsis: true,
        },
        {
            title: '原始ID',
            dataIndex: 'wxname',
            key: 'wxname',
            align: 'center',
            width: 150,
            ellipsis: true,
        },
        {
            title: '人群包数量',
            dataIndex: 'packageCount',
            key: 'packageCount',
            align: 'center',
            width: 90,
        },
        {
            title: '商品库数量',
            dataIndex: 'goodsCount',
            key: 'goodsCount',
            align: 'center',
            width: 90,
            render: (a: any, b: any) => {
                if (a) {
                    a = JSON.parse(a)
                    return <span>{a?.length || 0}</span>
                }
                return <span>0</span>
            },
        },
        {
            title: '商品数量',
            dataIndex: 'goodsCount',
            key: 'goodsCount',
            align: 'center',
            width: 90,
            render: (a: any, b: any) => {
                if (a) {
                    a = JSON.parse(a)
                    return <span>{a?.reduce((pre: number, b: { goodsCount: number }) => { return b?.goodsCount ? pre + b?.goodsCount : pre }, 0) || 0}</span>
                }
                return <span>0</span>
            },
        },
        {
            title: '客服组数量',
            dataIndex: 'wechatInfoCount',
            key: 'wechatInfoCount',
            align: 'center',
            width: 90,
            render: (a: any, b: any) => {
                return <span>{a || 0}</span>
            },
        },
        {
            title: '数据源数量',
            dataIndex: 'dataSourceCount',
            key: 'dataSourceCount',
            align: 'center',
            width: 90,
            render: (a: any, b: any) => {
                return <span>{a || 0}</span>
            },
        },
        {
            title: '更新时间',
            dataIndex: 'updateTime',
            key: 'updateTime',
            width: 170,
            align: 'center',
        },
        {
            title: '账号ID',
            dataIndex: 'uid',
            key: 'uid',
            align: 'center',
            width: 100,
        },
        {
            title: '所属服务商SPID',
            dataIndex: 'spid',
            key: 'spid',
            width: 150,
            align: 'center',
            ellipsis: true,
        },
        {
            title: '主体名称',
            dataIndex: 'companyName',
            key: 'companyName',
            ellipsis: true,
            width: 300
        },
    ]
}
export function columnsAdq(collect: (arg: { id: any, c: boolean, name: 'adq' | 'mp' }) => void): any {
    return [
        {
            title: '收藏',
            dataIndex: 'cz',
            align: 'center',
            key: 'cz',
            width: 50,
            render: (a: any, b: any) => {
                return b?.collected ? <a onClick={() => {
                    collect({ id: b.id, c: false, name: 'adq' })
                }}><HeartFilled style={{ color: 'red' }} /></a> : <a onClick={() => {
                    collect({ id: b.id, c: true, name: 'adq' })
                }}><HeartOutlined /></a>
            },
        },
        {
            title: '账号ID',
            dataIndex: 'uid',
            key: 'uid',
            align: 'center',
            width: 90,
        },
        {
            title: '广告主名称',
            dataIndex: 'uname',
            key: 'uname',
            align: 'center',
            width: 200
        },
        {
            title: '人群包数量',
            dataIndex: 'packageCount',
            key: 'packageCount',
            align: 'center',
            width: 90,
        },
        {
            title: '更新时间',
            dataIndex: 'updateTime',
            key: 'updateTime',
            width: 170,
            align: 'center',
        },
    ]
}