import { FormConfig } from '@/components/Formitem/type'
import React, { useEffect, useState } from 'react'
import { useModel, useRequest } from 'umi'
import { allBook } from '@/services/operating/book';
/**
 * 认证状态字典
*/
let verifyType: any[] = [
    {
        value: '', text: '全部认证状态'
    },
    {
        value: -1, text: '未认证',
    },
    {
        value: 0, text: '微信认证',
    },
    {
        value: 1, text: '新浪微博认证',
    },
    {
        value: 2, text: '腾讯微博认证',
    },
    {
        value: 3, text: '已资质认证通过但还未通过名称认证',
    },
    {
        value: 4, text: '已资质认证通过、还未通过名称认证，但通过了新浪微博认证',
    },
    {
        value: 5, text: '已资质认证通过、还未通过名称认证，但通过了腾讯微博认证'
    }
]
/**
 * 账号类型字典
*/
let serviceType: any[] = [
    { value: '', text: '全部账号类型' },
    { value: '0', text: '订阅号' },
    { value: '1', text: '由历史老账号升级后的订阅号' },
    { value: '2', text: '服务号' },
]
export const headerConfig = (headerSubmit: (v: any, key: string) => void) => {
    const { listGroup } = useModel('useOperating.useWxGroupList', model => ({ listGroup: model.getDataList }))
    const allData = useRequest(() => allBook())//全部列表
    let group: any[] = [{ value: '', text: '全部公众号' }]
    const [arr, setArr] = useState<{ value: string, text: string }[]>([])//处理后的select数组
    listGroup?.data?.forEach((item: any) => {
        group.push({ value: item.id, text: item.groupName })
    })
    //平台列表数据处理
    useEffect(() => {
        let a: { value: string, text: string }[] = []
        allData?.data?.map((item: { id: string, platformName: string, remark: string }) => {
            a.push({ value: item.id.toString(), text: item.platformName })
        })
        setArr(a)
    }, [allData.data])
    const headerConfig: FormConfig[] = [
        {
            label: '全部分组',
            tag: 'select',
            name: 'groupId',
            defaultValue: '',
            width: 200,
            children: group,
            callback: (v: string) => headerSubmit({ groupId: v }, 'groupId'),
            change: true
            // required:true
        },
        {
            label: '公司主体',
            tag: 'inputSearch',
            name: 'principalName',
            defaultValue: '',
            callback: (v: string) => headerSubmit({ principalName: v }, 'principalName'),
            width: 200,
            change: true
        },
        // {
        //     label: '书城',
        //     tag: 'select',
        //     name: 'newPlatformId',
        //     defaultValue: '',
        //     children: arr,
        //     callback: (v: string) => headerSubmit({ platformId: v }, 'platformId'),
        //     width: 200,
        //     change: true
        // },
        {
            tag: 'inputSearch',
            name: 'nickName',
            width: 200,
            placeholder: '请输入公众号名称',
            callback: (v: string) => headerSubmit({ nickName: v }, 'nickName'),
            // required:true
        },
        // {
        //     label: '添加公众号',
        //     icon: <PlusOutlined />,
        //     tag: 'button',
        //     htmlType: 'button',
        //     btnType: 'primary',
        //     name: 'zx',
        //     callback: modelPop
        // },
    ]
    return headerConfig
}
