import { DeleteOutlined, EditOutlined, FileSearchOutlined, SwapOutlined } from "@ant-design/icons"
import { Button, Col, Popconfirm, Row } from "antd"
import React from "react"

const columns = (editAccount: (valud: any) => void, del: (id: number[]) => void, checkGdtAccount: (value: any[]) => void, changeRecord: (accountId: string, id: number) => void) => {
    return [
        {
            title: 'GDT账号',
            dataIndex: 'accountId',
            key: 'accountId',
            align: 'center',
            width: 100,
        },
        {
            title: '投放信息',
            dataIndex: 'putResourceInfo',
            key: 'putResourceInfo',
            ellipsis: true,
            // align: 'center',
            width: 330,
            render: (a: any) => {
                return <span>{a?.resourceName || '<空>'}</span>
            }
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            width: 100
        },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            width: 210,
            fixed: 'right',
            render: (a: string, b: any) => (
                <Row gutter={[5, 0]}>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<EditOutlined />} onClick={() => { editAccount(b) }}>编辑</Button></Col>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<SwapOutlined />} onClick={() => { checkGdtAccount([b]) }}>切号</Button></Col>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<FileSearchOutlined />} onClick={() => { changeRecord(b?.accountId, b?.id) }}>变更记录</Button></Col>
                    <Col><Popconfirm
                        title="确定删除?"
                        onConfirm={() => { del([b?.id]) }}
                        okText="Yes"
                        cancelText="No"
                    >
                        <Button type="link" size="small" icon={<DeleteOutlined />} style={{ color: 'red', fontSize: 12 }}>删除</Button>
                    </Popconfirm></Col>
                </Row>
            )
        }
    ]
}
const columnsKyy = (editAccount: (valud: any) => void, del: (id: number[]) => void, checkGdtAccount: (value: any[]) => void, changeRecord: (accountId: string, id: number) => void) => {
    return [
        {
            title: '账号ID',
            dataIndex: 'advertiserId',
            key: 'advertiserId',
            align: 'center',
            ellipsis: true,
            width: 110
        },
        {
            title: '账号名称',
            dataIndex: 'accountName',
            key: 'accountName',
            // align: 'center',
            ellipsis: true,
            width: 250
        },
        {
            title: '总账号',
            dataIndex: 'account',
            key: 'account',
            align: 'center',
            ellipsis: true,
            width: 130
        },
        {
            title: '密码',
            dataIndex: 'accountPassword',
            key: 'accountPassword',
            align: 'center',
            width: 100
        },
        {
            title: '投放信息',
            dataIndex: 'putResourceInfo',
            key: 'putResourceInfo',
            align: 'center',
            width: 140,
            ellipsis: true,
            render: (a: any) => {
                return <span>{a?.resourceName || '<空>'}</span>
            }
        },
        {
            title: '创建时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            width: 120
        },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            width: 210,
            fixed: 'right',
            render: (a: string, b: any) => (
                <Row gutter={[5, 0]}>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<EditOutlined />} onClick={() => { editAccount(b) }}>编辑</Button></Col>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<SwapOutlined />} onClick={() => { checkGdtAccount([b]) }}>切号</Button></Col>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<FileSearchOutlined />} onClick={() => { changeRecord(b?.advertiserId, b?.id) }}>变更记录</Button></Col>
                    <Col><Popconfirm
                        title="确定删除?"
                        onConfirm={() => { del([b?.id]) }}
                        okText="Yes"
                        cancelText="No"
                    >
                        <Button type="link" size="small" icon={<DeleteOutlined />} style={{ color: 'red', fontSize: 12 }}>删除</Button>
                    </Popconfirm></Col>
                </Row>
            )
        }
    ]
}

// 变更记录
const columnsCrGdt = (editHandle: (data: any) => void) => {
    return [
        {
            title: '开始时间',
            dataIndex: 'beginTime',
            key: 'beginTime',
            align: 'center',
            width: 160,
            fixed: 'left',
        },
        {
            title: '结束时间',
            dataIndex: 'endTime',
            key: 'endTime',
            align: 'center',
            fixed: 'left',
            width: 160
        },
        {
            title: '操作人',
            dataIndex: 'createUserInfo',
            key: 'createUserInfo',
            align: 'center',
            width: 100,
            ellipsis: true,
            render: (a: any) => {
                return <span>{a?.nickname || '<空>'}</span>
            }
        },
        {
            title: '资源名称',
            dataIndex: 'resourceName',
            key: 'resourceName',
            width: 140,
            ellipsis: true,
            align: 'center',
            render: (a: any, b: any) => {
                return <span>{b?.putResourceInfo.resourceName || '<空>'}</span>
            }
        },
        {
            title: '资源标识',
            dataIndex: 'resourceKey',
            key: 'resourceKey',
            ellipsis: true,
            render: (a: any, b: any) => {
                return <span>{b?.putResourceInfo.resourceKey || '<空>'}</span>
            }
        },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            width: 100,
            render: (a: string, b: any) => (
                <Row gutter={[10, 0]}>
                    <Col><Button type="link" size="small" style={{ fontSize: 12 }} icon={<EditOutlined />} onClick={() => { editHandle(b) }}>编辑</Button></Col>
                </Row>
            )
        }
    ]
}

export {
    columns,
    columnsKyy,
    columnsCrGdt
}