
import { Tabs, Image, Table } from 'antd'
import React, { useState } from 'react'
import style from './index.less'
import useCopy from '@/Hook/useCopy'
import { CopyOutlined } from '@ant-design/icons'
const { TabPane } = Tabs
const config = [
    {
        name: "抽奖小程序",
        src: 'https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/1C5879FFD51244149E428486236D92F6.jpg',
        appId: 'wx021e792baf529aff',
        page: 'pages/index/index',
        son: [
            {
                appId: 'wx021e792baf529aff',
                page: 'pages/index/index',
                support: '文鼎,国风,掌中云,花生'
            },
            {
                appId: 'wxe1b04d1d8f6df382',
                page: 'pages/index/index',
                support: '阳光'
            },
        ]
    },
    {
        name: "签到小程序",
        src: 'https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/CA97D6B2E12E45C79BA0254ADC5A67A3.jpg',
        appId: 'wxb21c3e030b8af425',
        page: 'pages/index/index',
        son: [
            {
                appId: 'wxb21c3e030b8af425',
                page: 'pages/index/index',
                support: '文鼎,国风,掌中云,花生'
            },
            {
                appId: 'wx162370635292eef2',
                page: 'pages/index/index',
                support: '阳光'
            },
        ]
    },
    {
        name: "老歌小程序",
        src: 'https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/BF40CD089E12474D8B4C4B91E4630D04.jpg',
        appId: '不能多绑以下三选一',
        page: 'pages/index/index',
        son: [
            {
                appId: 'wx0baf10b8fb530cd7',
                page: 'pages/index/index',
                support: '无平台要求'
            },
            {
                appId: 'wx917707a2c7e22e4b',
                page: 'pages/index/index',
                support: '无平台要求'
            },
            {
                appId: 'wxd5db8eb9eadd6b75',
                page: 'pages/index/index',
                support: '无平台要求'
            },
        ]
    },
]
function Advertisements() {
    const [key, setKey] = useState(config[0].name)
    const { copy } = useCopy()
    console.log()
    return <div >
        <div className={style.menu}>
            <Tabs tabPosition='left' onChange={e => setKey(e)} activeKey={key}>
                {
                    config.map((c) => <TabPane tab={c.name} key={c.name} />)
                }
            </Tabs>
        </div>
        <div className={style.box}>
            <div>
                <div >
                    {
                        config.map((c) => <div key={c.name} className={key === c.name ? style.imgActive : ''}><img src={c?.src} alt={c.name} /></div>)
                    }
                </div>
                <div>
                    <h1 style={{ textAlign: 'center' }}>小程序绑定教程</h1>
                    <div className={style.content}>
                        <div className={style.div1}>
                            <p>1 : 在公众号后台绑定小程序</p>
                            <Image className={style.img} src='https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/B984AF3D22DF4FA4987DE6B342CA011E.png' preview={false} />
                            <p>2 : 在趣程管理后台, 智能互动菜单配置消息回复(立即回复, 延迟消息)</p>
                            <Image className={style.img} src='https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/B2AC3C272494453DA5E80C67C16A9469.png' preview={false} />
                            <Image className={style.img} src='https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/B86338500B0542F3B5E5D640EC10152E.png' preview={false} />
                            <Image className={style.img} src='https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/801CE69232414ACD917350996B57A542.png' preview={false} />
                            <p>3 : 推送内容小程序卡片</p>
                            <Image className={style.img} src="https://zx-oss-dev.oss-cn-hangzhou.aliyuncs.com/file/653AD4E66FBF4595B33CECAEE8E65998.png" preview={false} />
                        </div>
                    </div>
                    <Table
                        size='small'
                        dataSource={config?.filter(c=>c.name === key)[0]['son']}
                        pagination={false}
                        columns={[
                            {
                                title: 'AppId',
                                dataIndex: 'appId',
                                key: 'appId',
                                align: 'center',
                                render:(a)=>{
                                    return <strong onClick={()=>{copy(a)}} ><span style={{color:'red'}}>{a}</span></strong>
                                }
                            },
                            {
                                title: 'Path',
                                dataIndex: 'page',
                                key: 'page',
                                align: 'center',
                                render:(a)=>{
                                    return <strong onClick={()=>{copy(a)}} ><span style={{color:'red'}}>{a}</span></strong>
                                }
                            },
                            {
                                title: '支持平台',
                                dataIndex: 'support',
                                key: 'support',
                                align: 'center'
                            },
                        ]}
                    />
                    {/* <div className={style.copy}>
                        点击复制:
                        {
                            config.map((c) => <div key={c.name} className={key === c.name ? style.pActive : ''}>
                                <span onClick={() => { key !== '老歌小程序' && copy(c.appId) }}>APPID:{
                                    c.appId
                                }</span>
                                <span onClick={() => { copy(c.page) }}>PATH:{c.page}</span>
                            </div>)
                        }
                    </div> */}
                </div>
            </div>
            {/* {key !== '老歌小程序' ? <p style={{ width: '100%', textAlign: 'center' }}>
                支持平台:文鼎,国风,掌中云,花生
            </p> : <p style={{ width: '60%', marginLeft: '35%', display: 'flex', justifyContent: 'space-between' }}>
                <span onClick={() => { copy('wx33ee485d33b47d9b') }}>wx33ee485d33b47d9b</span>
                <span onClick={() => { copy('wxd9db7d6b9856d360') }}>wxd9db7d6b9856d360</span>
                <span onClick={() => { copy('wx71e6d12c0652428e') }}>wx71e6d12c0652428e</span>
            </p>} */}
        </div>
    </div>
}

export default Advertisements