import moment from 'moment'
import { ColumnsType } from 'antd/lib/table'
import React from 'react'

function columns() {
    let newArr: ColumnsType<any> = [
        {
            title: '日期',
            dataIndex: 'dayTime',
            key: 'dayTime',
            align: 'center',
            width: 130,
            render: (a: string)=> {
                return a && <span>{moment(a).format('YYYY-MM-DD')}</span>
            }
        },
        {
            title: '小程序名称',
            dataIndex: 'appName',
            key: 'appName',
            align: 'center',
            width: 110,
            // sorter:true
        },
        // {
        //     title: '小程AppId',
        //     dataIndex: 'appId',
        //     key: 'appId',
        //     align: 'center',
        //     width: 110,
        // },
        {
            title: '公众号名称',
            dataIndex: 'mpName',
            key: 'mpName',
            align: 'center',
            width: 110
        },
        // {
        //     title: '公众号ID',
        //     dataIndex: 'mpAppId',
        //     key: 'mpAppId',
        //     align: 'center',
        //     width: 70
        // },
        {
            title: '运营',
            dataIndex: 'operateName',
            key: 'operateName',
            align: 'center',
            width: 80,
            render: (a: any) => {
                return <span>{a? a : '--'}</span>
            }
        },
        {
            title: '投手',
            dataIndex: 'pitcherName',
            key: 'pitcherName',
            align: 'center',
            width: 80,
            render: (a: any) => {
                return <span>{a ? a : '--'}</span>
            }
        },
        {
            title: '今日总PV',
            dataIndex: 'pv',
            key: 'pv',
            align: 'center',
            width: 100,
        },
        {
            title: '今日新UV',
            dataIndex: 'newUserCount',
            key: 'newUserCount',
            align: 'center',
            width: 100,
        },
        {
            title: '今日老UV',
            dataIndex: 'oldUserCount',
            key: 'oldUserCount',
            align: 'center',
            width: 100,
        },
        {
            title: '今日总UV',
            dataIndex: 'uv',
            key: 'uv',
            align: 'center',
            width: 100,
        },
        {
            title: 'ARPU(元)',
            dataIndex: 'arpu',
            key: 'arpu',
            align: 'center',
            width: 120,
            render: (a: any)=> {
                return a && <span style={{color: a > 0.4 ? 'red' : 'rgb(15, 153, 15)'}}>{a}</span>
            }
        },
        {
            title: '单日总收入(元)',
            dataIndex: 'incomeTotal',
            key: 'incomeTotal',
            align: 'center',
            width: 140,
            render: (a: any)=> {
                return a && <span style={{color: a > 200 ? 'red' : 'rgb(15, 153, 15)'}}>{a}</span>
            }
        }
    ]
    return newArr
}
export { columns }