import { Button, Input, message, Radio, Select } from 'antd'
import { request } from 'umi';
import React, { useState } from 'react'
import { api, dataApi } from '@/services/api'


function Apitest() {
    const [src, setSrc] = useState('')
    const [type, setType] = useState('GET')
    const [params, setParams] = useState('')
    const [data, setData] = useState()
    const [platform, setplatform] = useState(1)
    const [start, setStart] = useState(0)
    const [end, setEnd] = useState<number>(0)
    const [arrs, setArrs] = useState<any[]>([])
    // const [url, setUrl] = useState<number>(0)
    const handelSrc = (e: any) => {
        let v = e.target.value
        setSrc(v)
    }
    const handelType = (e: any) => {
        setType(e)
    }
    function isJSON_test(str: any) {
        if (typeof str == 'string') {
            try {
                var obj = JSON.parse(str);
                console.log('转换成功：' + obj);
                return true;
            } catch (e) {
                console.log('error：' + str + '!!!' + e);
                return false;
            }
        }
    }
    const handelParams = (e: any) => {
        let v = e.target.value
        setParams(v)
    }
    const submit = () => {
        if (!src) {
            message.error('请输入地址')
            return
        }
        let data = null
        if (params) {
            if (isJSON_test(params)) {
                data = JSON.parse(`${params}`)
            } else {
                message.error('不合法的JSON')
                return
            }
        }
        console.log(data)
        request(`${platform === 1 ? api : dataApi}${src}`, {
            method: type,
            data,
        }).then((res) => {
            setData(res)
            if (res.code === 200) {
                message.success(`成功${res.code}${res.msg}`, 3)
            }
        }).catch(err => {
            message.error(`${err}`, 3)
            setData(err)
        })
    }
    const forSubmit = () => {
        if (start && end) {
            let arr: any = []
            for (let i = start; i <= end; i++) {
                fetch(`http://api.zanxiangnet.com/system/mp/media/syncAllMedia/${i}`, {
                    method: 'put',
                    headers: { "Authorization": "Bearer 2f59a4df-1a6e-4650-a0cf-4fa3c9e6c309" },
                }).then((res: any) => {
                    if (res.data.code !== 200) {
                        arr.push(i);
                        setArrs([...arrs, i])
                        console.log(res.data, i, arr);
                    }
                })
            }
        }

    }
    return <div style={{ display: 'flex', flexFlow: 'row', justifyContent: 'space-evenly' }}>
        <div style={{ width: 600 }} >
            <div style={{ display: 'flex', flexFlow: 'row', alignItems: 'center', marginBottom: 20 }}>
                <label style={{ width: 70 }}>平台区分</label>
                <Radio.Group onChange={(e: any) => setplatform(e.target.value)} value={platform}>
                    <Radio value={1}>运营</Radio>
                    <Radio value={2}>数据</Radio>
                </Radio.Group>
            </div>
            <div style={{ display: 'flex', flexFlow: 'row', alignItems: 'center', marginBottom: 20 }}>
                <label style={{ width: 70 }}>接口地址</label>
                <Input
                    style={{ width: 450 }}
                    onChange={handelSrc}
                    allowClear
                    placeholder='/system/mp/list'
                    autoComplete='on'
                />
            </div>
            <div style={{ display: 'flex', flexFlow: 'row', alignItems: 'center', marginBottom: 20 }}>
                <label style={{ width: 70 }}>接口形式</label>
                <Select style={{ width: 100 }} defaultValue='GET' onChange={handelType}>
                    <Select.Option value='POST'>POST</Select.Option>
                    <Select.Option value='PUT'>PUT</Select.Option>
                    <Select.Option value='GET'>GET</Select.Option>
                    <Select.Option value='DELETE'>DELETE</Select.Option>
                </Select>
            </div>
            <div style={{ display: 'flex', flexFlow: 'row', alignItems: 'center', marginBottom: 20 }}>
                <label style={{ width: 70 }}>body参数</label>
                <Input.TextArea rows={6} style={{ width: 300 }} onChange={handelParams} allowClear
                    placeholder={`JSON===>{"key":value}`}
                />
            </div>
            <div style={{ display: 'flex', flexFlow: 'row', justifyContent: 'center', marginBottom: 20 }}>
                <Button type='primary' onClick={submit}>发送</Button>
            </div>
            <div style={{ display: 'flex', flexFlow: 'row', justifyContent: 'center', marginBottom: 20 }}>
                <label style={{ width: 70 }}>结果</label>
                <Input.TextArea value={data && JSON.stringify(data)} rows={20} />
            </div>
        </div>
        <div style={{ width: 700 }}>
            {
                data && <div style={{ width: 700, height: '90vh', overflow: 'auto', background: '#000', color: '#fff', }}>
                    <pre>
                        {data && JSON.stringify(data, null, 2)}
                    </pre>
                </div>
            }
        </div>
    </div>
}

export default Apitest