import { Badge } from "antd"
import React from "react"

let type = {
    0: { text: '创建', color: 'cyan' },
    1: { text: '创建中', color: 'processing' },
    2: { text: '创建成功', color: 'success' },
    '-1': { text: '创建链接失败', color: 'error' },
    '-2': { text: '创建客服消息失败', color: 'error' }
}
let linkType = [
    '',
    '推广链接',
    '自定义活动',
    '赠币活动',
    '常规活动链接',
    '模板充值活动链接',
    '模板直赠活动链接',
    '模板消耗活动连接',
    '送书卷活动',
]
let userType = ['不限', '已充值', '未充值', '未支付']
function detailsColumns(platformName: string) {
    let config = {
        '花生': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div style={{ display: 'flex', flexFlow: 'column' }}>
                        <Badge text={type[a]?.text} status={type[a]?.color} />
                        <span>{b?.linkResult?.msg}</span>
                    </div>
                }
            },
            {
                title: '账号',
                dataIndex: 'account',
                key: 'account',
                align: 'center',
            },
            {
                title: '密码',
                dataIndex: 'password',
                key: 'password',
                align: 'center',
            },
            {
                title: 'VIP账号',
                dataIndex: 'vip',
                key: 'vip',
                align: 'center',
                render: (a: any) => {
                    return a ? '是' : '否'
                }
            },
            {
                title: '公众号',
                dataIndex: 'mpInfo',
                key: 'mpInfo',
                align: 'center',
                render: (a: any) => {
                    return a?.nickName
                }
            },
            {
                title: '链接类型',
                dataIndex: 'linkType',
                key: 'linkType',
                align: 'center',
                render: (a: any) => {
                    return linkType[a]
                }
            },
            {
                title: '推广书名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book
                }
            },
            {
                title: '推广章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.section
                }
            },
            {
                title: '推广任务名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_name
                }
            },
            {
                title: '推广成本',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_cost
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_type
                }
            },
            {
                title: '外推下的章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.close_section
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '活动标题',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_title
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_sum
                }
            },
            {
                title: '限购类型',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.buy_num_type
                }
            },
            {
                title: '购买次数',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.buy_num
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_at
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_at
                }
            },
            {
                title: '上下架',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.state
                }
            },
            {
                title: '显示|隐藏',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.show
                }
            },
            {
                title: '开启|关闭',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_site
                }
            },
            {
                title: '模板序号',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.template
                }
            },
            {
                title: '备注',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.remark
                }
            },
        ],
        '阅文': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div style={{ display: 'flex', flexFlow: 'column' }}>
                        <Badge text={type[a]?.text} status={type[a]?.color} />
                        <span>{b?.linkResult?.msg}</span>
                    </div>
                }
            },
            {
                title: '账号',
                dataIndex: 'account',
                key: 'account',
                align: 'center',
            },
            {
                title: '密码',
                dataIndex: 'password',
                key: 'password',
                align: 'center',
            },
            {
                title: 'VIP账号',
                dataIndex: 'vip',
                key: 'vip',
                align: 'center',
                render: (a: any) => {
                    return a ? '是' : '否'
                }
            },
            {
                title: '公众号',
                dataIndex: 'mpInfo',
                key: 'mpInfo',
                align: 'center',
                render: (a: any) => {
                    return a?.nickName
                }
            },
            {
                title: '链接类型',
                dataIndex: 'linkType',
                key: 'linkType',
                align: 'center',
                render: (a: any) => {
                    return linkType[a]
                }
            },
            {
                title: '推广书名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book
                }
            },
            {
                title: '推广章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.section
                }
            },
            {
                title: '推广任务名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_name
                }
            },
            {
                title: '推广成本',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 1 ? a?.spread_cost : ''
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_type
                }
            },
            {
                title: '外推下的章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.close_section
                }
            },
            {
                title: '推广强关',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.pass_type
                }
            },
            {
                title: '推广底部关注引导',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.isOpenBottom ? a?.isOpenBottom === true ? '是' : '否' : ''
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '活动推广名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_name
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType != 1 ? a?.spread_cost : ''
                }
            },
            {
                title: '充值次数',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.recharge_times
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_at
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_at
                }
            },
            {
                title: '活动展示位',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.shaky_seat
                }
            },
            {
                title: '是否开启客服消息推送（常规活动链接必填）',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.isOpenMes === true ? '是' : ''
                }
            },
            {
                title: '是否显示活动时间（模板充值活动必填）',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.open_showtime
                }
            },
        ],
        '阳光': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div style={{ display: 'flex', flexFlow: 'column' }}>
                        <Badge text={type[a]?.text} status={type[a]?.color} />
                        <span>{b?.linkResult?.msg}</span>
                    </div>
                }
            },
            {
                title: '账号',
                dataIndex: 'account',
                key: 'account',
                align: 'center',
            },
            {
                title: '密码',
                dataIndex: 'password',
                key: 'password',
                align: 'center',
            },
            {
                title: 'VIP账号',
                dataIndex: 'vip',
                key: 'vip',
                align: 'center',
                render: (a: any) => {
                    return a ? '是' : '否'
                }
            },
            {
                title: '公众号',
                dataIndex: 'mpInfo',
                key: 'mpInfo',
                align: 'center',
                render: (a: any) => {
                    return a?.nickName
                }
            },
            {
                title: '链接类型',
                dataIndex: 'linkType',
                key: 'linkType',
                align: 'center',
                render: (a: any) => {
                    return linkType[a]
                }
            },
            {
                title: '推广书名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book
                }
            },
            {
                title: '推广章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.section
                }
            },
            {
                title: '推广任务名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_name
                }
            },
            {
                title: '推广成本',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 1 ? a?.spread_cost : ''
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_type
                }
            },
            {
                title: '外推下的章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.close_section
                }
            },
            {
                title: '渠道类型',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.channel_type
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '活动标题',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_title
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_sum
                }
            },
            {
                title: '购买次数',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.buy_num
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_at
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_at
                }
            },
            {
                title: '上下架',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.state
                }
            },
            {
                title: '显示|隐藏',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.show
                }
            },
            {
                title: '开启|关闭',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_site
                }
            },
            {
                title: '模板序号',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.template
                }
            },
            {
                title: '备注',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.remark
                }
            },
            {
                title: '接收用户',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.receiving_user
                }
            },
        ],
        '文鼎': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div style={{ display: 'flex', flexFlow: 'column' }}>
                        <Badge text={type[a]?.text} status={type[a]?.color} />
                        <span>{b?.linkResult?.msg}</span>
                    </div>
                }
            },
            {
                title: '账号',
                dataIndex: 'account',
                key: 'account',
                align: 'center',
            },
            {
                title: '密码',
                dataIndex: 'password',
                key: 'password',
                align: 'center',
            },
            {
                title: 'VIP账号',
                dataIndex: 'vip',
                key: 'vip',
                align: 'center',
                render: (a: any) => {
                    return a ? '是' : '否'
                }
            },
            {
                title: '公众号',
                dataIndex: 'mpInfo',
                key: 'mpInfo',
                align: 'center',
                render: (a: any) => {
                    return a?.nickName
                }
            },
            {
                title: '链接类型',
                dataIndex: 'linkType',
                key: 'linkType',
                align: 'center',
                render: (a: any) => {
                    return linkType[a]
                }
            },
            {
                title: '推广书名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book
                }
            },
            {
                title: '推广章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.section
                }
            },
            {
                title: '推广任务名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_name
                }
            },
            {
                title: '推广成本',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 1 ? a?.spread_cost : ''
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.spread_type
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '活动标题',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_title
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_sum
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_at
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_at
                }
            },
            {
                title: '目标用户',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.userConfig
                }
            },
            {
                title: '活动图片',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_image
                }
            },
            {
                title: '活动位置',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_site
                }
            },
            {
                title: '注册开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 2 ? a?.tag_create_start_at || '不限' : ''
                }
            },
            {
                title: '注册结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 2 ? a?.tag_create_end_at || '不限' : ''
                }
            },
            {
                title: '充值类型',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 2 ? a?.tag_pay_type || '不限' : ''
                }
            },
            {
                title: '是否是包年用户',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkType == 2 ? a?.tag_is_vip ? a?.tag_is_vip == 1 ? '是' : '否' : '不限' : ''
                }
            },
        ],
        '掌中云': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div style={{ display: 'flex', flexFlow: 'column' }}>
                        <Badge text={type[a]?.text} status={type[a]?.color} />
                        <span>{b?.linkResult?.msg}</span>
                    </div>
                }
            },
            {
                title: '账号',
                dataIndex: 'account',
                key: 'account',
                align: 'center',
            },
            {
                title: '密码',
                dataIndex: 'password',
                key: 'password',
                align: 'center',
            },
            {
                title: 'VIP账号',
                dataIndex: 'vip',
                key: 'vip',
                align: 'center',
                render: (a: any) => {
                    return a ? '是' : '否'
                }
            },
            {
                title: '公众号',
                dataIndex: 'mpInfo',
                key: 'mpInfo',
                align: 'center',
                render: (a: any) => {
                    return a?.nickName
                }
            },
            {
                title: '链接类型',
                dataIndex: 'linkType',
                key: 'linkType',
                align: 'center',
                render: (a: any) => {
                    return linkType[a]
                }
            },
            {
                title: '推广书名',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.navel
                }
            },
            {
                title: '推广章节',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.section
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.publish_type === 1 ? '内推' : '外推'
                }
            },
            {
                title: '备注',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.description
                }
            },

            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_time
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_time
                }
            },
            {
                title: '弹窗开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_start_time
                }
            },
            {
                title: '弹窗结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_end_time
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_amount
                }
            },
            {
                title: '限购次数',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.limit_times
                }
            },
            {
                title: '促销文案',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.promotion_text
                }
            },
            {
                title: '用户属性',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.user_type && userType[a?.user_type]
                }
            },
            {
                title: '启用签到尾部推送',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.sign_push && (a?.sign_push === 0 ? '否' : '是')
                }
            },
            {
                title: '启用未支付尾部推送',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.unpaid_push && (a?.unpaid_push === 0 ? '否' : '是')
                }
            },
            {
                title: '启用弹窗海报',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_promotion && (a?.popup_promotion === 0 ? '否' : '是')
                }
            },
            {
                title: '弹窗启用档位',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_gear
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_location
                }
            },
            {
                title: '页面弹出频率',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_frequency
                }
            },
            {
                title: '赠送书券',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book_voucher
                }
            },
            {
                title: '书券有效期',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.valid_minutes && (a?.valid_minutes === 4320 ? '3天' : '30天')
                }
            },

        ],
    }
    return config[platformName]
}
export default detailsColumns