import useCopy from "@/Hook/useCopy"
import { CopyOutlined } from "@ant-design/icons"
import React from "react"
import style from './index.less'
enum State {
    '创建' = 0,
    '创建中' = 1,
    '创建成功' = 2,
    '创建失败' = -1,
    '创建客服消息失败' = -2
}
enum Statept {
    '创建' = 0,
    '创建中' = 1,
    '创建成功' = 2,
    '创建失败' = -1,
    '创建失败(系统问题)' = -2
}
let pageTypeIds = [
    '',
    '个人中心',
    '免费专区',
    '阅读记录',
    '充值页面',
    '继续阅读',
    '签到送礼',
    'VIP充值',
    '书城首页',
    '榜单',
    '书库(男频)',
    '书库(女频)',
    '书币抽奖'
]
let userType = ['不限', '已充值', '未充值', '未支付']
/**
 * 
 * @param props isOk 是否拿到数据
 */
function columns(props: { name: string, isOk: boolean }) {
    const { copy } = useCopy()
    const { name, isOk } = props
    let arrCy = isOk ? [
        {
            title: '页面',
            dataIndex: 'name',
            key: 'name',
            align: 'center'
        },
        {
            title: '链接',
            dataIndex: 'link',
            key: 'link',
            align: 'center',
            render: (a: string) => {
                return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
            }
        },
    ] : [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{Statept[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            }
        ]
    let arr: any = {
        '阅文常用链接': arrCy,
        '阅文推广链接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '渠道名称',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>
                }
            },
            {
                title: '作品',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}第{b?.linkContext?.section}章</span>
                        <span>关注章节{b?.linkContext?.close_section}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            // {
            //     title: 'PV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: 'UV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '新增关注',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值金额/元',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值笔数',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '收益（充值/成本）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
        ],
        '阅文常规活动链接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '渠道名称',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>
                }
            },
            {
                title: '作品',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}第{b?.linkContext?.section}章</span>
                        <span>关注章节{b?.linkContext?.close_section}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            // {
            //     title: 'PV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: 'UV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '新增关注',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值金额/元',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值笔数',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '收益（充值/成本）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
        ],
        '阅文模板充值活动链接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '渠道名称',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>
                }
            },
            {
                title: '作品',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}第{b?.linkContext?.section}章</span>
                        <span>关注章节{b?.linkContext?.close_section}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            // {
            //     title: 'PV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: 'UV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '新增关注',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值金额/元',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值笔数',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '收益（充值/成本）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
        ],
        '阅文模模板直赠活动链接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '渠道名称',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>
                }
            },
            {
                title: '作品',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}第{b?.linkContext?.section}章</span>
                        <span>关注章节{b?.linkContext?.close_section}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            // {
            //     title: 'PV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: 'UV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '新增关注',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值金额/元',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值笔数',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '收益（充值/成本）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
        ],
        '阅文模板消耗活动连接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '渠道名称',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>
                }
            },
            {
                title: '作品',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}第{b?.linkContext?.section}章</span>
                        <span>关注章节{b?.linkContext?.close_section}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            // {
            //     title: 'PV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: 'UV',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '新增关注',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值金额/元',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '充值笔数',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
            // {
            //     title: '收益（充值/成本）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: () => {
            //         return <span></span>
            //     }
            // },
        ],
        '花生常用链接': arrCy,
        '花生推广链接': [
            {
                title: 'ID',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '标题/链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                        <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                    </div>
                }
            },
            {
                title: '入口',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}</span>
                        <span>第{b?.linkContext?.section}章</span>
                        <span>关注章节：第{b?.linkContext?.spread_cost}章</span>
                    </div>
                }
            },
            // {
            //     title: '点击数',
            //     dataIndex: 'views',
            //     key: 'views',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>{b?.linkContext?.views}人</span>
            //             <span>{b?.linkContext?.users}次</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '关注数/关注率',
            //     dataIndex: 'subscribes',
            //     key: 'subscribes',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>{b?.linkContext?.subscribes}</span>
            //             <span>{b?.linkContext?.subscribes_rate}%</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值金额/充值笔数',
            //     dataIndex: 'charge_data',
            //     key: 'charge_data',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>￥{b?.linkContext?.charge_data?.charge_amount}</span>
            //             <span>{b?.linkContext?.charge_data?.charge_count}笔</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值人数/充值比例',
            //     dataIndex: 'charge_data',
            //     key: 'charge_data',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>{b?.linkContext?.charge_data?.charge_users}人</span>
            //             <span>{(b?.linkContext?.charge_data?.charge_users / b?.linkContext?.subscribes * 100)?.toFixed(2)}%</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '复充金额/复充笔数',
            //     dataIndex: 'charge_data',
            //     key: 'charge_data',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>￥{b?.linkContext?.charge_data?.recharge_amount}</span>
            //             <span>{b?.linkContext?.charge_data?.recharge_count}笔</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '复充人数/复充比例',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div className={style.flex}>
            //             <span>￥{b?.linkContext?.charge_data?.recharge_users}</span>
            //             <span>{(b?.linkContext?.charge_data?.recharge_count / b?.linkContext?.charge_data?.charge_users * 100)?.toFixed(2)}%</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '回本率',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center'
            // },
            // {
            //     title: '成本',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center'
            // },
        ],
        '花生平台活动': isOk ? [
            {
                title: '活动名称',
                dataIndex: 'name',
                key: 'name',
                align: 'center'
            },
            {
                title: '活动时间',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.start_at}-{b?.end_at}</span>
                    </div>

                }
            },
            {
                title: '充值金额',
                dataIndex: 'intro',
                key: 'intro',
                align: 'center'
            },
            {
                title: '活动链接',
                dataIndex: 'url',
                key: 'url',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.url_intro}</span>
                        <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                    </div>
                }
            },
            {
                title: '总充值（含当日）',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>￥{b?.amounts}</span>
                        <span>({b?.orders || 0}单)</span>
                    </div>
                }
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '花生自定义活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动标题',
                dataIndex: 'activity_title',
                key: 'activity_title',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.activity_title}</span>
                        <span>活动时间:{b?.linkContext?.start_at}-{b?.linkContext?.end_at}</span>
                    </div>

                }
            },
            {
                title: '备注',
                dataIndex: 'remark',
                key: 'remark',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.remark
                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
            {
                title: '限购次数',
                dataIndex: 'buy_num',
                key: 'buy_num',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.buy_num
                }
            },
            // {
            //     title: '充值',
            //     dataIndex: 'activity_sum',
            //     key: 'activity_sum',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return b?.linkContext?.activity_sum
            //     }
            // },
            // {
            //     title: '活动状态',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center'
            // },
            {
                title: '上下架状态',
                dataIndex: 'state',
                key: 'state',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.state
                }
            },
            {
                title: '弹窗状态',
                dataIndex: 'popup',
                key: 'popup',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.popup
                }
            },
            {
                title: '是否在阅读页显示',
                dataIndex: 'show',
                key: 'show',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.show
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'popup_site',
                key: 'popup_site',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.popup_site
                }
            },
        ],
        '花生赠币活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动标题',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.activity_title}</span>
                        <span>活动时间:{b?.linkContext?.start_at}-{b?.linkContext?.end_at}</span>
                    </div>

                }
            },
            {
                title: '备注',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.remark
                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}{a && <CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} />}</span>
                }
            },
            // {
            //     title: '领取人数',
            //     dataIndex: 'orders',
            //     key: 'orders',
            //     align: 'center'
            // },
            // {
            //     title: '活动状态',
            //     dataIndex: 'act_status',
            //     key: 'act_status',
            //     align: 'center'
            // },
            {
                title: '上下架状态',
                dataIndex: 'state',
                key: 'state',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.state
                }
            },
            {
                title: '弹窗状态',
                dataIndex: 'popup',
                key: 'popup',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.popup
                }
            },
            {
                title: '是否在阅读页显示',
                dataIndex: 'show',
                key: 'show',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.show
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'popup_site',
                key: 'popup_site',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.popup_site
                }
            },
        ],
        '阳光常用链接': arrCy,
        '阳光推广链接': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '推广链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
            {
                title: '入口页面',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}</span>
                        <span>第{b?.linkContext?.section}章</span>
                        <span>关注章节:{b?.linkContext?.close_section}</span>
                    </div>

                }

            },
            {
                title: '派单渠道',
                dataIndex: 'spread_name',
                key: 'spread_name',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                    </div>

                }
            },
            // {
            //     title: '总阅读人数(今日)',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '总关注人数(今日)',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '总净关人数(今日)',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '总充值金额(今日)',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值笔数/充值比例',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '推广成本',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span>{b?.linkContext?.spread_cost}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '利润',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
            // {
            //     title: '状态',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: string, b: any) => {
            //         return <div className={style.flex}>
            //             <span></span>
            //         </div>
            //     }
            // },
        ],
        '阳光平台活动': [
            {
                title: '活动标题',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '活动名称/活动页面',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '点击人数（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '下单人数（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '下单次数（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '充值成功人数（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '充值成功次数（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '充值金额（总/今）',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
        ],
        '阳光自定义活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动标题',
                dataIndex: 'activity_title',
                key: 'activity_title',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.activity_title}</span>
                        <span>活动时间:{b?.linkContext?.start_at}--{b?.linkContext?.end_at}</span>
                    </div>
                }
            },
            {
                title: '活动名称/活动页面',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.activity_name}</span>
                        <span>{b?.link}{b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            {
                title: '充值档位',
                dataIndex: 'activity_sum',
                key: 'activity_sum',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkContext?.activity_sum
                }
            },
            // {
            //     title: '点击人数（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.clickFre}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '下单人数（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.fulfilNumPeo}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '下单次数（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.fulfilFre}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值成功人数（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.rechargeSucFre}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值成功次数（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.rechargeSucPeo}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '充值金额（总/今）',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.rechargeMoney}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '活动状态',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.act_status}</span>
            //         </div>
            //     }
            // },
            {
                title: '启用状态',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.show}</span>
                    </div>
                }
            },
            {
                title: '弹窗状态',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.popup}</span>
                    </div>
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.popup_site}</span>
                    </div>
                }
            },
        ],
        '阳光赠币活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动标题',
                dataIndex: 'activity_title',
                key: 'activity_title',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.activity_title}</span>
                        <span>活动时间:{b?.linkContext?.start_at}--{b?.linkContext?.end_at}</span>
                    </div>
                }
            },
            {
                title: '活动名称/活动页面',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.activity_name}</span>
                        <span>{b?.link}  {b?.link && <CopyOutlined onClick={() => { copy(b?.link) }} style={{ color: '#1890ff' }} />}</span>
                    </div>
                }
            },
            {
                title: '充值档位',
                dataIndex: 'activity_sum',
                key: 'activity_sum',
                align: 'center',
                render: (a: any, b: any) => {
                    return b?.linkContext?.activity_sum
                }
            },
            // {
            //     title: '点击人数（总/今）',
            //     dataIndex: 'clickFre',
            //     key: 'clickFre',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.clickFre}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '完成人数（总/今）',
            //     dataIndex: 'fulfilNumPeo',
            //     key: 'fulfilNumPeo',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.fulfilNumPeo}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '完成次数（总/今）',
            //     dataIndex: 'fulfilFre',
            //     key: 'fulfilFre',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.fulfilFre}</span>
            //         </div>
            //     }
            // },
            // {
            //     title: '活动状态',
            //     dataIndex: 'id',
            //     key: 'id',
            //     align: 'center',
            //     render: (a: any, b: any) => {
            //         return <div>
            //             <span>{b?.linkContext?.act_status}</span>
            //         </div>
            //     }
            // },
            {
                title: '启用状态',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.show}</span>
                    </div>
                }
            },
            {
                title: '弹窗状态',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.popup}</span>
                    </div>
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div>
                        <span>{b?.linkContext?.popup_site}</span>
                    </div>
                }
            },
        ],
        '阳光累计充值活动': isOk ? [
            {
                title: '活动名称',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center'
            },
            {
                title: '第一阶段目标（单位元）',
                dataIndex: 'first_stage_target',
                key: 'first_stage_target',
                align: 'center'
            },
            {
                title: '第一阶段奖励（单位书币）',
                dataIndex: 'first_stage_reward',
                key: 'first_stage_reward',
                align: 'center'
            },
            {
                title: '第二阶段目标（单位元）',
                dataIndex: 'second_stage_target',
                key: 'second_stage_target',
                align: 'center'
            },
            {
                title: '第二阶段奖励（单位书币）',
                dataIndex: 'second_stage_reward',
                key: 'idsecond_stage_reward',
                align: 'center'
            },
            {
                title: '第三阶段目标（单位元）',
                dataIndex: 'third_stage_target',
                key: 'third_stage_target',
                align: 'center'
            },
            {
                title: '第三阶段奖励（单位书币）',
                dataIndex: 'third_stage_reward',
                key: 'third_stage_reward',
                align: 'center'
            },
            {
                title: '状态',
                dataIndex: 'state',
                key: 'state',
                align: 'center'
            },
            {
                title: '活动开始时间',
                dataIndex: 'start_time',
                key: 'start_time',
                align: 'center'
            },
            {
                title: '活动结束时间',
                dataIndex: 'end_time',
                key: 'end_time',
                align: 'center'
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '文鼎常用链接': isOk ? [
            {
                title: '链接标题',
                dataIndex: 'name',
                key: 'name',
                align: 'center'
            },
            {
                title: '链接名称',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center'
            },
            {
                title: '链接类型',
                dataIndex: 'spread_type',
                key: 'spread_type',
                align: 'center'
            },
            {
                title: '链接地址',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '文鼎平台活动': isOk ? [
            {
                title: '链接标题',
                dataIndex: 'name',
                key: 'name',
                align: 'center'
            },
            {
                title: '链接名称',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center'
            },
            {
                title: '链接类型',
                dataIndex: 'spread_type',
                key: 'spread_type',
                align: 'center'
            },
            {
                title: '链接地址',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '文鼎自定义活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动标题',
                dataIndex: 'activity_title',
                key: 'activity_title',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.activity_title}</span>
                        <span>活动时间:{b?.linkContext?.start_at}-{b?.linkContext?.end_at}</span>
                    </div>

                }
            },
            {
                title: '活动名称',
                dataIndex: 'activity_name',
                key: 'activity_name',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.activity_name}</span>
                    </div>

                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return a ? <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span> : '空'
                }
            },
            {
                title: '活动金额',
                dataIndex: 'activity_sum',
                key: 'activity_sum',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.activity_sum
                }
            },
            {
                title: '活动位置',
                dataIndex: 'activity_site',
                key: 'activity_site',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.activity_site
                }
            },
            {
                title: '活动图片',
                dataIndex: 'activity_image',
                key: 'activity_image',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.activity_image
                }
            },
            {
                title: '目标用户',
                dataIndex: 'userConfig',
                key: 'userConfig',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.userConfig
                }
            },
            {
                title: '注册开始/结束时间',
                dataIndex: 'tag_create_end_at',
                key: 'tag_create_end_at',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.tag_create_start_at ? b?.linkContext?.tag_create_start_at + '~' + b?.linkContext?.tag_create_end_at : '不限'
                }
            },
            {
                title: '是否是包年用户',
                dataIndex: 'tag_is_vip',
                key: 'tag_is_vip',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.tag_is_vip ? b?.linkContext?.tag_is_vip === '1' ? '是' : '否' : '不限'
                }
            },
            {
                title: '充值类型',
                dataIndex: 'tag_pay_type',
                key: 'tag_pay_type',
                align: 'center',
                render: (a: string, b: any) => {
                    return b?.linkContext?.tag_pay_type ? b?.linkContext?.tag_pay_type : '不限'
                }
            },
        ],
        '文鼎推广链接': [
            {
                title: 'ID',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '标题/链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                        {a ? <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span> : '空'}
                    </div>
                }
            },
            {
                title: '入口',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}</span>
                        <span>第{b?.linkContext?.section}章</span>
                    </div>
                }
            },
            {
                title: '二维码展示',
                dataIndex: 'qecode_show',
                key: 'qecode_show',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.qecode_show}</span>
                    </div>
                }
            },
            {
                title: '关注类型',
                dataIndex: 'follow_type',
                key: 'follow_type',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.follow_type}</span>
                    </div>
                }
            },
        ],
        '文鼎赠币活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动名称/时间',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.activity_name}</span>
                        <span>活动时间:{b?.linkContext?.start_at}-{b?.linkContext?.end_at}</span>
                    </div>

                }
            },
            {
                title: '活动金额',
                dataIndex: 'activity_sum',
                key: 'activity_sum',
                align: 'center',
                render: (a: string, b: any) => {
                    return <span>{b?.linkContext?.activity_sum}</span>
                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}{a && <CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} />}</span>
                }
            },

        ],
        '掌中云常用链接': isOk ? [
            {
                title: '入口',
                dataIndex: 'pageTypeId',
                key: 'pageTypeId',
                align: 'center',
                render: (a: any) => {
                    return <span>{a && pageTypeIds[a]}</span>
                }
            },
            {
                title: '类型',
                dataIndex: 'spreadType',
                key: 'spreadType',
                align: 'center'
            },
            {
                title: '备注',
                dataIndex: 'remark',
                key: 'remark',
                align: 'center'
            },
            {
                title: '链接地址',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '掌中云平台活动': isOk ? [
            {
                title: '活动名称',
                dataIndex: 'name',
                key: 'name',
                align: 'center'
            },
            {
                title: '活动时间',
                dataIndex: 'time',
                key: 'time',
                align: 'center'
            },
            {
                title: '充值金额',
                dataIndex: 'sum',
                key: 'sum',
                align: 'center'
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string, b: any) => {
                    return <div>
                        <div>{b?.linkText}</div>
                        <div><span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span></div>
                    </div>
                }
            },
            {
                title: '今日充值',
                dataIndex: 'today_sum',
                key: 'today_sum',
                align: 'center'
            },
            {
                title: '今日订单',
                dataIndex: 'today_order',
                key: 'today_order',
                align: 'center'
            },
            {
                title: '历史充值 (不含当日)',
                dataIndex: 'old_sum',
                key: 'old_sum',
                align: 'center'
            },
            {
                title: '历史订单 (不含当日)',
                dataIndex: 'old_order',
                key: 'old_order',
                align: 'center'
            },
        ] : [
                {
                    title: '创建状态',
                    dataIndex: 'createStatus',
                    key: 'createStatus',
                    align: 'center',
                    render: (a: number, b: any) => {
                        return <div className={style.flex}>
                            <span>{Statept[a]}</span>
                            <span>{b?.resultMsg}</span>
                        </div>
                    }
                },
                {
                    title: '创建时间',
                    dataIndex: 'createTime',
                    key: 'createTime',
                    align: 'center'
                }
            ],
        '掌中云推广链接': [
            {
                title: 'ID',
                dataIndex: 'id',
                key: 'id',
                align: 'center'
            },
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '创建时间',
                dataIndex: 'createTime',
                key: 'createTime',
                align: 'center'
            },
            {
                title: '标题/链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.spread_name}</span>
                        <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                    </div>
                }
            },
            {
                title: '入口',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.book}</span>
                        <span>{b?.linkContext?.section}</span>
                        {/* <span>关注章节：{b?.linkContext?.spread_cost}</span> */}
                    </div>
                }
            },
            {
                title: '备注',
                dataIndex: 'id',
                key: 'id',
                align: 'center',
                render: (a: any, b: any) => {
                    return <div className={style.flex}>
                        <span>{b?.linkContext?.description}</span>
                    </div>
                }
            }
        ],
        '掌中云自定义活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                width: 100,
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
            {
                title: '推广内推|外推',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.publish_type === 1 ? '内推' : '外推'
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_time
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_time
                }
            },
            {
                title: '弹窗开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_start_time
                }
            },
            {
                title: '弹窗结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_end_time
                }
            },
            {
                title: '活动金额',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_amount
                }
            },
            {
                title: '限购次数',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.limit_times
                }
            },
            {
                title: '促销文案',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.promotion_text
                }
            },
            {
                title: '用户属性',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.user_type && userType[a?.user_type]
                }
            },
            {
                title: '启用签到尾部推送',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.sign_push && (a?.sign_push === 0 ? '否' : '是')
                }
            },
            {
                title: '启用未支付尾部推送',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.unpaid_push && (a?.unpaid_push === 0 ? '否' : '是')
                }
            },
            {
                title: '启用弹窗海报',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_promotion && (a?.popup_promotion === 0 ? '否' : '是')
                }
            },
            {
                title: '弹窗启用档位',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_gear
                }
            },
            {
                title: '弹窗位置',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_location
                }
            },
            {
                title: '页面弹出频率',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.popup_frequency
                }
            }
        ],
        '掌中云送书卷活动': [
            {
                title: '创建状态',
                dataIndex: 'createStatus',
                key: 'createStatus',
                align: 'center',
                width: 100,
                render: (a: number, b: any) => {
                    return <div className={style.flex}>
                        <span>{State[a]}</span>
                        <span>{b?.resultMsg}</span>
                    </div>
                }
            },
            {
                title: '活动链接',
                dataIndex: 'link',
                key: 'link',
                align: 'center',
                render: (a: string) => {
                    return <span>{a}<CopyOutlined onClick={() => { copy(a) }} style={{ color: '#1890ff' }} /></span>
                }
            },
            {
                title: '活动名称',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.activity_name
                }
            },
            {
                title: '开始时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.start_time
                }
            },
            {
                title: '结束时间',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.end_time
                }
            },
            {
                title: '赠送书券',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.book_voucher
                }
            },
            {
                title: '书券有效期',
                dataIndex: 'linkContext',
                key: 'linkContext',
                align: 'center',
                render: (a: any) => {
                    return a?.valid_minutes && (a?.valid_minutes === 4320 ? '3天' : '30天')
                }
            },
        ],
    }
    return arr[name]
}
export default columns