import { FormConfig } from '@/components/Formitem/type'
let formConfig = (platform: any[], bookify: any[], access: any): FormConfig[] => {
    let arr:any = [
        {
            label: '书名',
            tag: 'input',
            name: 'bookName',
            change: true,
            required: true,
        },
        {
            label: '作者',
            tag: 'input',
            name: 'author',
            change: true,
            required: false,
        },
        {
            label: '主角',
            tag: 'input',
            name: 'protagonist',
            change: true,
            required: false,
        },
        {
            label: '平台',
            tag: 'select',
            name: 'platformId',
            children: platform,
            change: true,
            required: true,
        },
        {
            label: '状态',
            tag: 'input',
            name: 'status',
            change: true,
            defaultValue: "排期",
            required: true,
        },
        {
            label: '分类',
            tag: 'select',
            name: 'typeId',
            children: bookify,
            change: true,
            required: false,
        },
        {
            label: '频道',
            tag: 'select',
            name: 'channel',
            children: [{ value: '男频', text: '男频' }, { value: '女频', text: '女频' },],
            change: true,
            required: false,
        },
        {
            label: '来源',
            tag: 'input',
            name: 'source',
            change: true,
            required: false,
        },
        {
            label: '字数(万字)',
            tag: 'inputNumber',
            name: 'wordCount',
            change: true,
            required: false,
        },
        // {
        //     label: '卡点',
        //     tag: 'inputNumber',
        //     name: 'nodePrice',
        //     change: true,
        //     required: false
        // },
        // {
        //     label: '倍率',
        //     tag: 'inputNumber',
        //     name: 'ratio',
        //     change: true,
        //     required: false
        // },
        {
            label: '备注',
            tag: 'TextArea',
            name: 'remark',
            change: true,
            width: 400,
            placeholder: '请输入不少于十个字的备注',
            required: false,
            rows: 2,
            Rule: { min: 10, type: 'string' }
        },
    ]
    return access['修改小说'] ? arr : [{
        label: '备注',
        tag: 'TextArea',
        name: 'remark',
        change: true,
        width: 400,
        placeholder: '请输入不少于十个字的备注',
        required: false,
        rows: 4,
        Rule: { min: 10, type: 'string' }
    }]
}

export default formConfig