import { FormConfig } from '@/components/Formitem/type'
let formConfig = (bookify: any): FormConfig[] => [
    {
        label: '书名',
        tag: 'select',
        name: 'bookId',
        children: bookify,
        change: true,
        required: true,
        disabled: true
    },
    {
        label: '卡点(首日ROI)',
        tag: 'inputNumber',
        name: 'nodePrice',
        change: true,
        required: true,
        formatter: value => `${value}%`,
        parser: value => value.replace('%', ''),
        tagProps: {min: 1.00, max: 99.99, },
        Rule: {pattern: /[0-9]+/}
    },
    // {
    //     label: '倍率',
    //     tag: 'inputNumber',
    //     name: 'ratio',
    //     change: true,
    //     required: true,
    //     tagProps: {min: 2, max: 40},
    //     Rule: {pattern: /[0-9]+/}
    // },
    {
        label: '投放渠道',
        tag: 'select',
        name: 'type',
        children: [{text: "mp", value: "mp"}, {text: "gdt", value: "gdt"}, {text: "企业微信", value: "corp"}, {text: "快应用", value: "BYTEDANCE"}],
        change: true,
        required: true
    },
    {
        label: '生效时间',
        tag: 'DatePicker',
        name: 'effectDay',
        width: 250,
        change: true,
        required: false
    },
    {
        label: '到期时间',
        tag: 'DatePicker',
        name: 'overDay',
        change: true,
        required: false,
        defaultValue: ""
    }
]

export default formConfig