import React, { useEffect, useState } from 'react'
import Tables from '@/components/Tables'
import { Card } from 'antd'
import columns from './tableConfig'
import Periods from './periods'
import { seekBook } from '@/services/operating/book'
import { useRequest } from 'umi'

const Books: React.FC = () => {
    const [periodsShow, setPeriodsShow] = useState<boolean>(false)  // 期数弹窗控制
    const [periodData, setPeriodData] = useState<any>()
    const seekData = useRequest(() => seekBook(), { manual: true, cacheKey: 'seekData', debounceInterval: 500 })//搜索列表

    //副作用执行
    useEffect(() => {
        seekData.run()
    }, [])

    // 期数弹窗打开
    const handlePeriods = (e: any) => {
        setPeriodData(e)
        setPeriodsShow(true)
    }

    return <Card>
        <Tables
            columns={columns(handlePeriods)}
            dataSource={seekData?.data}
            total={seekData?.data?.length || 0}
            size="small"
            loading={seekData?.loading}
            bordered
        />
        {/* 期数弹窗 */}
        {periodsShow && <Periods show={periodsShow} onClose={()=>{setPeriodsShow(false)}} data={periodData}/>}
    </Card>
}

export default Books