import { Col, Popconfirm, Row, Tooltip } from "antd";
import React from "react";
import { DeleteOutlined, FormOutlined } from '@ant-design/icons';

let columns = (edit: (value: any) => void, del: (id: number) => void): any => [
    {
        title: '账号',
        dataIndex: 'account',
        key: 'account',
        align: 'left',
        ellipsis: {
            showTitle: false,
        },
        fixed: 'left',
        width: 120,
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '密码',
        dataIndex: 'password',
        key: 'password',
        align: 'center',
        width: 100,
    },
    {
        title: '期数',
        dataIndex: 'periodInfo',
        key: 'periodInfo',
        align: 'center',
        width: 100,
        render: (a: any, b: any) => {
            return <>
                {
                    b?.periodInfo ? <>
                        <div>{b?.periodInfo?.period}</div>
                    </> : <span style={{ color: 'red', fontSize: 12 }}>未配置</span>
                }
            </>
        }
    },
    {
        title: '开户名称',
        dataIndex: 'principalName',
        key: 'principalName',
        align: 'center',
        ellipsis: {
            showTitle: false,
        },
        width: 140,
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '开户行',
        dataIndex: 'bankName',
        key: 'bankName',
        align: 'center',
        ellipsis: {
            showTitle: false,
        },
        width: 100,
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '银行账号',
        dataIndex: 'bankAccount',
        key: 'bankAccount',
        align: 'center',
        ellipsis: {
            showTitle: false,
        },
        width: 140,
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '分成',
        dataIndex: 'formulaDivided',
        key: 'formulaDivided',
        width: 60,
        align: 'center',
    },
    {
        title: '平台网址',
        dataIndex: 'link',
        key: 'link',
        width: 180,
        align: 'center',
        ellipsis: {
            showTitle: false,
        },
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '备注',
        dataIndex: 'remark',
        key: 'remark',
        align: 'center',
        width: 180,
        ellipsis: {
            showTitle: false,
        },
        render: (a: any, b: any) => (
            <Tooltip placement="topLeft" title={a}>
                {a}
            </Tooltip>
        ),
    },
    {
        title: '操作',
        dataIndex: 'cz',
        key: 'cz',
        align: 'center',
        width: 200,
        fixed: 'right',
        render: (a: string, b: { id: number, platformName: string, remark: string }) => (
            <Row justify='center' gutter={[10, 0]}>
                <Col><a onClick={() => edit(b)} style={{fontSize: "12px"}}><FormOutlined /> 编辑</a></Col>
                <Col>
                    <Popconfirm
                        title={`是否要删除?`}
                        onConfirm={() => del(b.id)}
                        okText="是"
                        cancelText="否"
                    >
                        <a style={{color: "red", fontSize: "12px"}}><DeleteOutlined /> 删除</a>
                    </Popconfirm>
                </Col>
            </Row>
        )
    }
];

export default columns