import React from "react"
import { Row, Col } from "antd"
import { EyeOutlined } from "@ant-design/icons"
let columns = (handlePeriods: (value: any) => void) => [
    {
        title: '平台名称',
        dataIndex: 'platformName',
        key: 'platformName',
        align: 'center',
        width: 200,
        render: (a: any, b: any) => {
            return <span style={{fontSize: "12px"}}>{a}</span>
        }
    },
    {
        title: '平台联系人姓名',
        dataIndex: 'contactName',
        key: 'contactName',
        align: 'center',
        render: (a: any, b: any) => {
            return <>
                {
                    b?.contactName && <>
                        <div style={{fontSize: "12px"}}>{b?.contactName}</div>
                    </>
                }
            </>
        }
    },
    {
        title: '平台联系人手机号',
        dataIndex: 'contactPhone',
        key: 'contactPhone',
        align: 'center',
        render: (a: any, b: any) => {
            return <>
                {
                    b?.contactPhone && <>
                        <div style={{fontSize: "12px"}}>{b?.contactPhone}</div>
                    </>
                }
            </>
        }
    },
    {
        title: '访问网址',
        dataIndex: 'vipLink',
        key: 'vipLink',
        align: 'left',
        render: (a: any, b: any) => {
            return <>
                {
                    b?.vipLink && <>
                        <div style={{fontSize: "12px"}}>{b?.vipLink}</div>
                    </>
                }
            </>
        }
    },
    {
        title: '平台备注',
        dataIndex: 'remark',
        key: 'remark',
        align: 'left',
        render: (a: any, b: any) => {
            return <span style={{fontSize: "12px"}}>{a}</span>
        }
    },
    {
        title: '操作',
        dataIndex: 'cz',
        key: 'cz',
        align: 'center',
        width: 100,
        render: (a: string, b: { id: string, platformName: string, remark: string }) => (
            <Row justify='center' gutter={[10, 0]}>
                <Col><a onClick={() => handlePeriods(b)} style={{fontSize: "12px"}}><EyeOutlined /> 查看vip账号</a></Col>
            </Row>
        )
    }
]

export default columns