import { Button } from 'antd'
import { SizeType } from 'antd/lib/config-provider/SizeContext'
import React, {useState } from 'react'
import LockUP from './lockUP'
type Props = {
    type: 'Advanced' | 'Aservice' | 'Atemplate' | 'Interact', //Advanced=群发，Aservice=客服，Atemplate=模板，Interact=立即/延迟
    isExamine?: boolean,//是否是审查
    strategyId: any,//任务ID
    id: number | any[],//公众号ID
    size?: SizeType,
    wxs?: any[],//公众号列表
    buttonType?: "link" | "text" | "ghost" | "default" | "primary" | "dashed" | undefined
}
function Look(props: Props) {
    let { size = 'small', buttonType = 'default', } = props
    const [ylVisible, setYlVisible] = useState<boolean>(false)//预览弹窗
    return <>
        <Button onClick={() => { setYlVisible(true) }} size={size} type={buttonType}>预览</Button>
        {ylVisible && <LockUP {...props} setYlVisible={setYlVisible} ylVisible/>}
    </>
}

export default Look