import React from 'react'
const orderColumns = () => {
    return [
        {
            title: '订单ID',
            dataIndex: 'platformOrderId',
            key: 'platformOrderId',
            align: 'center',
            width: 120,
        },
        {
            title: 'APPID',
            dataIndex: 'appId',
            key: 'appId',
            align: 'center',
            width: 140
        },
        {
            title: '金额(元)',
            dataIndex: 'amount',
            key: 'amount',
            align: 'center',
            width: 60,
            render: (a: any, b: any) => {
                return <span>{a / 100 || 0}</span>
            }
        },
        {
            title: '来源小说',
            dataIndex: 'fromNovelName',
            key: 'fromNovelName',
            align: 'center',
            width: 80
        },
        {
            title: '下单时间',
            dataIndex: 'orderTime',
            key: 'orderTime',
            align: 'center',
            width: 160,
            render: (a: any, b: any) => {
                return <span>{a}</span>
            }
        },
        {
            title: '支付时间',
            dataIndex: 'overTime',
            key: 'overTime',
            align: 'center',
            width: 160,
            render: (a: any, b: any) => {
                return <span>{a}</span>
            }
        },
        {
            title: '订单状态',
            dataIndex: 'orderStatus',
            key: 'orderStatus',
            align: 'center',
            width: 160,
            render: (a: any, b: any) => {
                return <span>{a === 0 ? '等待付款' : a === 1 ? '支付失败' : a === 2 ? '支付成功' : '未知'}</span>
            }
        },
        {
            title: '订单类型',
            dataIndex: 'orderType',
            key: 'orderType',
            align: 'center',
            width: 60,
            render: (a: any, b: any) => {
                return <span>{a === 1 ? '充值书币' : a === 2 ? '购买VIP' : a === 3 ? '充值' : a === 4 ? '包年' : '未知'}</span>
            }
        },
        {
            title: '订单编号',
            dataIndex: 'transactionNo',
            key: 'transactionNo',
            align: 'center',
            width: 90
        },
    ]
}
export default orderColumns