import { Row, Col, Popconfirm, Tag } from "antd"
import React from 'react'
import { bgColor } from '@/utils/color'
const columns = (edit: (params: { id: string, mpId: string, name: string }) => void, del: (params: { tagId: string }) => void) => {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center',
            width: 200,
        },
        {
            title: '标签名称',
            dataIndex: 'name',
            key: 'name',
            align: 'center',
            width: 200,
            render: (name: string, b: any, c: any) => {
                return <Tag color={bgColor[c]}>{name}</Tag>
            }
        },
        // {
        //     title: '粉丝数',
        //     dataIndex: 'remark',
        //     key: 'remark',
        //     align: 'center'
        // },
        // {
        //     title: '微信后台粉丝数',
        //     dataIndex: 'remark1',
        //     key: 'remark1',
        //     align: 'center'
        // },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            align: 'center',
            width: 200,
            render: (a: string, b: { id: string, mpId: string, name: string }) => (
                <Row justify='center' gutter={[10, 0]}>
                    <Col><a onClick={() => edit(b)}>编辑</a></Col>
                    <Col>
                        <Popconfirm
                            title={`是否要删除${b.name}?`}
                            onConfirm={() => del({ tagId: b.id })}
                            okText="是"
                            cancelText="否"
                        >
                            <a>删除</a>
                        </Popconfirm>
                    </Col>
                </Row>
            )
        }
    ]
}
export default columns