import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
import { Popconfirm, Switch, Tooltip } from 'antd'
import Look from '@/pages/operatePage/examine/components/look'
export function columns(dataCallback: (item: any) => void, updataCallback: (item: any) => void, stateCallback: (item: any) => void, delCallback: (item: any) => void) {
    let list: ColumnProps<ColumnsType>[] = [
        {
            title: '消息名称',
            align: 'center',
            dataIndex: 'strategyDesc',
            key: 'strategyDesc',
            render: (a: number, b: any) => {
                return <div>
                    {b.checkStatus === -1 ? <Tooltip title={`未通过原因：${b?.checkRemark ? b?.checkRemark : ''}`}>
                        <span>{a}<span style={{ color: 'red', fontSize: 12 }}>(审查未通过)</span></span>
                    </Tooltip> : <span>{a}</span>}
                </div>
            }
        },
        {
            title: '互动类型',
            align: 'center',
            dataIndex: 'eventType',
            key: 'eventType',
            render: (a, b: any) => {
                return <span>{b.eventType === 0 ? `关注回复` : b.eventType === 1 ? `扫码` : b.eventType === 10 ? `消息回复` : b.eventType === 20 ? `菜单点击` : `关键词`}</span>
            }
        },
        {
            title: '延迟时间',
            align: 'center',
            dataIndex: 'resDelayTime',
            key: 'resDelayTime',
            render: (a, b: any) => {
                let time = b?.resDelayHours || b?.resDelayMinutes || b?.resDelaySecond
                return <span>{time ? `${b?.resDelayHours ? b?.resDelayHours + '小时' : ''} ${b?.resDelayMinutes ? b?.resDelayMinutes + '分' : ''}${b?.resDelaySecond}秒` : '立即发送'}</span>
            }
        },
        {
            title: '关键词',
            align: 'center',
            dataIndex: 'textKey',
            key: 'textKey',
            render: (a, b: any) => {
                return <span>{b.textKey ? b.textKey : `--`}</span>
            }
        },
        {
            title: '状态',
            align: 'center',
            key: 'enabled',
            dataIndex: 'enabled',
            render: (a, b: any) => {
                return <Switch checkedChildren="开启" unCheckedChildren="关闭" onChange={() => stateCallback(b)} checked={b?.enabled} />
            }
        },
        {
            title: '操作',
            key: 'cz',
            align: 'center',
            render: (a, b: any) => {
                return <>
                    {/* <a onClick={() => dataCallback(b)} style={{marginRight: '10px'}}>数据</a> */}
                    <a onClick={() => updataCallback(b)} style={{ marginRight: '10px' }}>修改</a>
                    <a >
                        <Popconfirm
                            title={`确定要删除此条消息吗？`}
                            onConfirm={() => delCallback(b)}
                            okText="Yes"
                            cancelText="No"
                        >
                            删除
                        </Popconfirm>
                    </a>
                    <Look type='Interact' strategyId={b?.id} id={b?.mpId} size="small" buttonType="link" />
                </>
            }
        }
    ]
    return list
} ImageBitmap

export function columnsIm(dataCallback: (item: any) => void, updataCallback: (item: any) => void, stateCallback: (item: any) => void, delCallback: (item: any) => void) {
    let list: ColumnProps<ColumnsType>[] = [
        {
            title: '消息名称',
            align: 'center',
            dataIndex: 'strategyDesc',
            key: 'strategyDesc',
            render: (a: number, b: any) => {
                return <div>
                    {b.checkStatus === -1 ? <Tooltip title={`未通过原因：${b?.checkRemark ? b?.checkRemark : ''}`}>
                        <span>{a}<span style={{ color: 'red', fontSize: 12 }}>(审查未通过)</span></span>
                    </Tooltip> : <span>{a}</span>}
                </div>
            }
        },
        {
            title: '互动类型',
            align: 'center',
            dataIndex: 'eventType',
            key: 'eventType',
            render: (a, b: any) => {
                return <span>{b.eventType === 0 ? `关注回复` : `消息回复`}</span>
            }
        },
        {
            title: '关键字',
            align: 'center',
            dataIndex: 'textKey',
            key: 'textKey',
            render: (a, b: any) => {
                return <span>{b.textKey ? b.textKey : `无`}</span>
            }
        },
        {
            title: '状态',
            align: 'center',
            key: 'enabled',
            dataIndex: 'enabled',
            render: (a, b: any) => {

                return <Switch checkedChildren="开启" unCheckedChildren="关闭" onChange={() => stateCallback(b)} checked={b?.enabled} />
            }
        },
        {
            title: '操作',
            key: 'cz',
            align: 'center',
            render: (a, b: any) => {
                return <>
                    <a onClick={() => updataCallback(b)} style={{ marginRight: '10px' }}>修改</a>
                    <a >
                        <Popconfirm
                            title={`确定要删除此条消息吗？`}
                            onConfirm={() => delCallback(b)}
                            okText="Yes"
                            cancelText="No"
                        >
                            删除
                        </Popconfirm>
                    </a>
                    <Look type='Interact' strategyId={b?.id} id={b?.mpId} size="small" buttonType="link" />
                </>
            }
        }
    ]
    return list
} ImageBitmap