import { Badge, Button, Popconfirm, Space } from 'antd';
import React from 'react'
import './table.less'
type Props = {
    delLog: any,
    dellogs: (id: any) => void,
    refresh: any,
    catlog: any,
}
export const expandedRowRender = (props: Props) => {
    const { delLog, dellogs, refresh,catlog } = props
    const refreshFn=(id:any)=>{
        refresh.run(id).then((res: any)=>{
            if(res){
                catlog.refresh()
            }
        })
    }
    let status = { '-2': 'error', '-1': 'error', '0': 'success', '1': 'processing' }
    let texts = { '-2': '删除', '-1': '失败', '0': '发送中', '1': '成功' }
    let columns: any = [
        {
            title: '消息状态',
            dataIndex: 'executionStatus',
            key: 'executionStatus',
            align: 'center',
            render: (a: number, b: { failMsg: string }) => {
                return <div style={{ display: 'flex', flexFlow: 'column' }}>
                    <Badge status={status[a]} text={texts[a]} />
                    {(a === -1) && <span>描述：{b.failMsg}</span>}
                </div >
            }
        },
        {
            title: '执行时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center',
            render: (a: string) => {
                return <div>{a}</div>
            }
        },
        {
            title: '预期送达人数',
            dataIndex: 'totalCount',
            key: 'totalCount',
            align: 'center',
            render: (a: string) => {
                return <span>{a}</span>
            }
        },
        {
            title: '发送成功人数',
            dataIndex: 'sendCount',
            key: 'sendCount',
            align: 'center',
            render: (a: string) => {
                return <span>{a}</span>
            }
        },
        {
            title: '发送失败人数',
            dataIndex: 'errCount',
            key: 'errCount',
            align: 'center',
            render: (a: string) => {
                return <span>{a}</span>
            }
        },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            align: 'center',
            render: (a: any, b: any) => {
                return <Space>
                    <Popconfirm
                        title="此按钮为备用按钮，非特殊情况请勿使用?"
                        onConfirm={() => { dellogs(b.id) }}
                        okText="Yes"
                        cancelText="No"
                    >
                        <Button size='small' loading={delLog?.loading}>删除发送内容</Button>
                    </Popconfirm>
                    {
                     <Button size='small' loading={refresh?.loading} danger  onClick={()=>{refreshFn(b?.id)}}>手动刷新</Button>
                    }
                </Space>
            }
        }
    ];
    return columns
};