import { QuestionCircleOutlined } from "@ant-design/icons"
import { Tooltip } from "antd"
import React from "react"

export const daysColumns = () => {
    return [
        {
            title: '日志ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center'
        },
        {
            title: '公众号',
            dataIndex: 'mpInfo',
            key: 'mpInfo',
            align: 'center',
            width: 200,
            render: (a: number[], b: any) => {
                return <div style={{ display: 'flex', alignItems: 'center' }}>
                    <img src={b?.mpInfo?.headImg || localStorage.bookImg} style={{width: '25px', height: '25px', marginRight: '10px'}}/>
                    <span>{b?.mpInfo?.nickName}</span>
                </div>

            }
        },
        {
            title: '客服消息任务ID',
            dataIndex: 'kefuMsgStrategyId',
            key: 'kefuMsgStrategyId',
            align: 'center'
        },
        {
            title: '公众号ID',
            dataIndex: 'mpId',
            key: 'mpId',
            align: 'center'
        },
        {
            title: <span>预计发送人数<Tooltip title="发送时间 48小时内互动过(关注、点击菜单、发消息)的粉丝">
            <QuestionCircleOutlined style={{ color: 'red', marginLeft: 2, }} />
        </Tooltip></span>,
            dataIndex: 'estimateSendCount',
            key: 'estimateSendCount',
            align: 'center'
        },
        {
            title: <span>实际发送人数<Tooltip title="实际收到了消息的人数">
            <QuestionCircleOutlined style={{ color: 'red', marginLeft: 2, }} />
        </Tooltip></span>,
            dataIndex: 'actualSendCount',
            key: 'actualSendCount',
            align: 'center'
        },
        {
            title: '任务执行时间',
            dataIndex: 'createTime',
            key: 'createTime',
            align: 'center'
        }
    ]
}

