import { MehOutlined } from '@ant-design/icons'
import { Button, Popover } from 'antd'
import style from './index.less'
import React, { useCallback, useState } from 'react'
const emil1 = [
    "😔","😁","😉","😱","😖","😚","😝","😌","😨","😷","😳","😒","😰","😲",
    "😭","😜","😘","😡","💪","👊","👍","☝","👏","✌","👎","🙏","👌","👈","👉",
    "👆","👇","👀","👃","👄","👂","🍚","🍝","🍜","🍙","🍧","🍣","🎂","🍞","🍔",
    "🍳","🍟","🍺","🍻","🍸","☕","🍎","🍊","🍓","🍉","💊","🚬","🎄", "🌹","🎉","🌴","💝","🎀","🎈","🐚","💍","💣","👑","🔔","⭐","✨","💨","💦",
    "🔥","🏆","💰","💤","⚡","👣","💩","💉","♨","📫","🔑","🔒","✈","🚄","🚗",
    "🚤","🚲","🐎","🚀","🚌","⛵","👩","👨","👧","👦","🐵","🐙","🐷","🐤","🐨",
    "🐮","🐔","🐸","👻","💀","🐛","🐠","🐶","🐯","👼","🐧","🐳","🐭","👒","👗",
    "⭕","❌","❔","❕","☎","📷","📱","📠","💻","🎥","🎤","🔫","💿",
    "💓","♣","🀄","〽","🎰","🚥","🚧","🎸","💈","🛀","🚽","🏠","⛪",
    "🏦","🏥","🏨","🏧","🏪","🚹","🚺","💄","👠","👢","🌂","👜","👙",
    "👕","👟","☁","☀","☔","🌙","⛄"
]
type Props = {
    getStr: (str: string) => void//回调传回选中表情和最后光标位置
    range?: Range//文本光标节点
}

const EmilModal = React.memo((props: Props) => {
    const [isShow, setIsShow] = useState<boolean>(false)//弹窗
    //显示关闭弹窗
    const exit = useCallback(() => {
        setIsShow(!isShow)
    }, [isShow])
    //点击表情
    const handelClick = useCallback((str: string) => {
        props.getStr(str)
        setIsShow(false)
    }, [])
    return <div>
        <Popover
            content={
                <div className={style.expression} >
                    {
                        [emil1].map((item: string[], index: number) => {
                            return <div key={index} className={style.box} >
                                {
                                    item.map((em: string, index: number) => {
                                        return <Button key={index} onClick={() => handelClick(em)} type="text">{em}</Button>
                                    })
                                }
                            </div>
                        })
                    }
                </div>
            }
            trigger="hover"
            visible={isShow}
            onVisibleChange={exit}
        >
            <MehOutlined onClick={exit} style={{color: '#FFF'}}/>
        </Popover>
    </div>
})

export default EmilModal