import React, { memo, useCallback, useEffect, useState } from 'react'
import { Row, Tabs, Col, Empty, Card } from 'antd';
import TabPage from './Tab'
import Box from './Box';
import style from './index.less'
import { useModel } from 'umi'
import LeftPage from '@/components/ActionModal/left'

const { TabPane } = Tabs;
interface Props {
    placeholder?: string,
    style?: React.CSSProperties
}
let nameConfig = { 1: '昨日新增', 2: '昨日取关', 3: '昨日净增', 4: '昨日活跃', 5: '昨日总粉丝', 6: '昨日阅读' }

/**
 * 
 * @param props 
 * 公众号模块
 */
function Gzh(props: Props) {
    const { actionWX, mpAccounts, action } = useModel('useOperating.useWxGroupList', model => ({ actionWX: model.state.actionWX, mpAccounts: model.state.mpAccounts, action: model.actionWx }))
    const { statisticsMpId } = useModel('useOperating.useOperate', model => ({ statisticsMpId: model.statisticsMpId }))
    const [topData, setTopData] = useState<any[]>([])
    /**以id筛选选中的微信公众号*/
    const selectWX = useCallback((id) => {
        mpAccounts?.forEach((wx: any) => {
            if (wx.id == id) {
                action(wx)
            }
        })
    }, [mpAccounts])
    /**选择框输入事件 */
    function onSearch(value: any) {
        selectWX(value)
    }
    /**tabs变化 */
    const tabsChange = (key: any) => {
        console.log('key===>', key)
        selectWX(key)
    }
    //userid变化改变数据改变


    useEffect(() => {
        if (mpAccounts && mpAccounts?.length > 0) {
            let ok = true
            mpAccounts?.forEach((item: any, index: number) => {
                if (ok && item.verifyTypeInfo !== -1 && mpAccounts?.every((wx: { id: any; }) => wx.id !== actionWX.id)) {
                    selectWX(item.id)
                    ok = false
                }
            })
        }
    }, [mpAccounts, actionWX])
    //微信变化获取数据
    useEffect(() => {
        if (actionWX) {
            statisticsMpId.run(actionWX.id).then((res) => {
                if (res) {
                    let arr: any[] = []
                    res?.map((item: any) => {
                        arr.push({ name: nameConfig[item.type], num: item.yesterday, rate: item.beforeYesterday })
                    })
                    setTopData(arr)
                }
            })
        }
    }, [actionWX])
    console.log(mpAccounts)
    return <div style={{ marginTop: '20px' }}>
        <Row style={{ flexWrap: 'nowrap' }}>
            <Col>
                <LeftPage />
            </Col>
            <Col style={{ overflow: 'hidden', width: '100%' }}>
                {
                    mpAccounts?.length > 0 ? <Tabs type="card"
                        className={style.gzh}
                        onChange={tabsChange}
                        activeKey={actionWX?.id.toString()}
                    >
                        {
                            mpAccounts?.map((wx: any) => {
                                return <TabPane
                                    tab={<span>
                                        <img src={wx?.headImg || localStorage?.bookImg}
                                            className={style.img}
                                        />
                                        {wx?.nickName}
                                    </span>}
                                    key={wx?.id}
                                    className={style.gzhtab}
                                    disabled={wx?.verifyTypeInfo === -1}
                                >
                                    <Box data={topData} bg />
                                    <TabPage />
                                </TabPane>
                            })
                        }
                    </Tabs> : <Card style={{ height: '645px' }}>
                        <Empty image={Empty.PRESENTED_IMAGE_SIMPLE} />
                    </Card>
                }

            </Col>
        </Row>

    </div>
}

export default memo(Gzh)