import React, { useState, useEffect } from 'react'
import { Card, Select } from 'antd'
import Box from './Box'
import styles from './index.less';
import { useModel } from 'umi';
const { Option } = Select
let nameConfig = { 1: '昨日新增', 2: '昨日取关', 3: '昨日净增', 4: '昨日活跃', 5: '总粉丝' }
/**
 * 指标总览模块 
*/
function Header() {
    const [value, setValue] = useState<string>('')
    const { statistics } = useModel('useOperating.useOperate')
    const [topData, setTopData] = useState<any[]>([])
    const { actionWX } = useModel('useOperating.useWxGroupList', model => ({ actionWX: model.state.actionWX }))
    const { state } = useModel('useOperating.useUser')
    /**请求数据 */
    /**
     * @param v 选择框事件
     */
    let handleChange = (v: string) => {
        setValue(v)
    }
    /**
     * 选择值改变重新请求数据
     */
    useEffect(() => {
        statistics.run({ userId: state?.selectdUserId }).then(res => {
            if (res) {
                let arr: any[] = []
                res?.map((item: any) => {
                    arr.push({ name: nameConfig[item.type], num: item.yesterday, rate: item.beforeYesterday })
                })
                setTopData(arr)
            }
        })
    }, [state])
    let title = <h3>{state?.selectdUserId === 1 ? "" : `${state?.selectdName}`}指标总览<span className={styles.span}>{state?.selectdUserId === 1 ? '（所有认证号昨日指标）' : `（所有认证号昨日指标）`}</span></h3>
    let extra = <Select placeholder="导出数据" style={{ width: 120 }} onChange={handleChange}>
        <Option value="jack">Jack</Option>
        <Option value="lucy">Lucy</Option>
    </Select>
    return <Card title={title} >{/**extra={extra} */}
        <Box data={topData} />
    </Card>
}
export default Header