import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
export const columns: ColumnProps<ColumnsType>[] = [
    {
        title: '日期',
        dataIndex: 'statisticsDate',
        key: 'statisticsDate',
        align:'center'
    },
    {
        title: '活跃粉丝数',
        dataIndex: 'activeCount',
        key: 'activeCount',
        sorter: (a: any, b: any) => a.activeCount - b.activeCount,
        align:'center'
    },
    {
        title: '7天内互动粉丝数',
        dataIndex: 'activeCountOfSeven',
        key: 'activeCountOfSeven',
        sorter: (a: any, b: any) => a.activeCountOfSeven - b.activeCountOfSeven,
        align:'center'
    },
    {
        title: '15天内互动粉丝数',
        dataIndex: 'activeCountOfFifteen',
        key: 'activeCountOfFifteen',
        sorter: (a: any, b: any) => a.activeCountOfFifteen - b.activeCountOfFifteen,
        align:'center'
    },
    
    {
        title: '总粉丝数',
        dataIndex: 'fansCount',
        key: 'fansCount',
        sorter: (a: any, b: any) => a.fansCount - b.fansCount,
        align:'center'
    },
    {
        title: '活跃比例',
        dataIndex: 'activeRate',
        key: 'activeRate',
        sorter: (a: any, b: any) => a.activeRate - b.activeRate,
        align:'center'
    }
];