import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
export const columns: ColumnProps<ColumnsType>[] = [
    {
        title: '时间',
        dataIndex: 'beginRef',
        key: 'beginRef',
        render: (text: string, b: any) => {
            let str = text === b.endRef ? text + ' ' + (b.hour < 10 ? `0${b.hour}:00` : b.hour + ':00') : text + '--' + b.endRef
            return <a>{str}</a>
        },
        sorter: (a: any, b: any) => new Date(a.beginRef).getTime() - new Date(b.beginRef).getTime(),
        align: 'center'
    },
    {
        title: '新关注粉丝',
        dataIndex: 'newUser',
        key: 'newUser',
        align: 'center'
    },
    {
        title: '取关粉丝',
        dataIndex: 'cancelUser',
        key: 'cancelUser',
        align: 'center'
    },
    {
        title: '取关率',
        key: 'customsClearanceRate',
        dataIndex: 'customsClearanceRate',
        align: 'center'
    },
    {
        title: '净增长',
        key: 'netGrowth',
        dataIndex: 'netGrowth',
        align: 'center'
    },
]