import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
export function columns(xqCallback: (item: any) => void) {
    let list: ColumnProps<ColumnsType>[] = [
        {
            title: '日期',
            align: 'center',
            dataIndex: 'refDate',
            key: 'refDate',
            render: (text: string) => <a>{text}</a>,
        },
        {
            title: '发文篇数',
            align: 'center',
            dataIndex: 'push',
            key: 'push',
            render: (t: string) => t || 0
        },
        {
            title: '送达人数',
            align: 'center',
            dataIndex: 'targetUser',
            key: 'targetUser',
            render: (t: string) => t || 0
        },
        {
            title: '阅读人数／次数',
            align: 'center',
            key: 'readUser',
            dataIndex: 'readUser',
            render: (a: string, b: any) => {
                return (b.readUser || 0) + '/' + (b.readCount || 0)
            }
        },
        {
            title: '分享人数／次数',
            align: 'center',
            key: 'shareCount',
            dataIndex: 'shareCount',
            render: (a: string, b: any) => {
                return (b.shareUser || 0) + '/' + (b.shareCount || 0)
            }

        },
        {
            title: '阅读原文人数／次数',
            dataIndex: 'oriPageReadCount',
            key: 'oriPageReadCount',
            align: 'center',
            render: (a: string, b: any) => {
                return (b.oriPageReadCount || 0) + '/' + (b.oriPageReadCount || 0)
            }
        },
        {
            title: '操作',
            key: 'cz',
            render: (a, b) => {
                return <a onClick={() => xqCallback(b)}>详情查看</a>
            }
        }
    ]
    return list
}
export const detialColumn: ColumnProps<ColumnsType>[] = [
    {
        title: '发送时间',
        align: 'center',
        dataIndex: 'sendTime',
        key: 'sendTime',
        width: 200,
        render: (text: string) => <a>{text}</a>,
    },
    {
        title: '标题',
        align: 'center',
        dataIndex: 'title',
        key: 'title',
        render: (t: string) => t || 0
    },
    {
        title: '消息ID',
        align: 'center',
        dataIndex: 'msgId',
        key: 'msgId',
        render: (t: string) => t || 0
    },
    {
        title: '发送对象',
        align: 'center',
        dataIndex: 'toAll',
        key: 'toAll',
        width: 150,
        render: (toAll: boolean) => <a>{toAll ? '全部粉丝' : '标签粉丝'}</a>,
    },
    {
        title: '送达人数',
        align: 'center',
        dataIndex: 'targetUser',
        key: 'targetUser',
        width: 150,
    },
    {
        title: '位置',
        align: 'center',
        dataIndex: 'location',
        key: 'location',
        width: 100,
    },
    {
        title: '阅读人数／次数',
        align: 'center',
        key: 'readUser',
        dataIndex: 'readUser',
        width: 200,
        render: (a: string, b: any) => {
            return (b.readUser || 0) + '/' + (b.readCount || 0)
        }
    },
    {
        title: '分享人数／次数',
        align: 'center',
        key: 'shareCount',
        dataIndex: 'shareCount',
        width: 200,
        render: (a: string, b: any) => {
            return (b.shareUser || 0) + '/' + (b.shareCount || 0)
        }

    },
    {
        title: '阅读原文人数／次数',
        dataIndex: 'oriPageReadCount',
        key: 'oriPageReadCount',
        align: 'center',
        width: 200,
        render: (a: string, b: any) => {
            return (b.oriPageReadCount || 0) + '/' + (b.oriPageReadCount || 0)
        }
    }
]