import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
export const columns: ColumnProps<ColumnsType>[] = [
    {
        title: '时间段',
        dataIndex: 'date',
        key: 'date',
        render: (text: string) => <a>{text} </a>,
        align:'center'
    },
    {
        title: '菜单点击',
        dataIndex: 'clickMenuCount',
        key: 'clickMenuCount',
        sorter: (a: any, b: any) => a.clickMenuCount - b.clickMenuCount,
        align:'center'
    },
    {
        title: '发送消息',
        dataIndex: 'msgCount',
        key: 'msgCount',
        sorter: (a: any, b: any) => a.msgCount - b.msgCount,
        align:'center'
    },
    {
        title: '扫码',
        dataIndex: 'scanQrcode',
        key: 'scanQrcode',
        sorter: (a: any, b: any) => a.scanQrcode - b.scanQrcode,
        align:'center'
    },
    {
        title: '关注',
        dataIndex: 'subcribe',
        key: 'subcribe',
        sorter: (a: any, b: any) => a.subcribe - b.subcribe,
        align:'center'
    },
    {
        title: '取关',
        dataIndex: 'unsubcribe',
        key: 'unsubcribe',
        sorter: (a: any, b: any) => a.unsubcribe - b.unsubcribe,
        align:'center'
    },
    {
        title: '总计',
        dataIndex: 'total',
        key: 'total',
        align:'center'
    }
];