import React, {useCallback, useEffect, useState} from 'react'
import style from './index.less'

interface Props {
    data: any[],
    tabNmae: string
}

const CustomTable: React.FC<Props> = (props: Props) => {
    let { data, tabNmae } = props;
    const [retentions, setRetentions] = useState<string[]>([])
    const handleData = useCallback((res: number, subscribeCount: number) => {
        if(tabNmae == 'pce') {
            if(subscribeCount === 0 || res === 0){
                return '0.0%'
            }
            return (res/subscribeCount*100).toFixed(1) + '%'
        }else{
            return res
        }
    },[tabNmae]);

    useEffect(() => {
        
        let re = []
        re.push((handleSum(data, '0')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '1')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '2')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '3')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '4')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '5')/data.length*100).toFixed(1) + '%')
        re.push((handleSum(data, '6')/data.length*100).toFixed(1) + '%')
        setRetentions(re)
    }, [data])

    const handleSum = (res: any[], key: string) => {
        return res.reduce((total, curr)=>{
            if(key in curr?.keepOfDay && curr?.keepOfDay[key] !==0 && curr?.subscribeCount !==0 ){
                return total + curr.keepOfDay[key]/curr.subscribeCount
            }else{
                return total
            }
        },0)
    }

    return <div className={style.componentscus}>
        <div className={style.customtable}>
            <table>
                <thead>
                    <tr>
                        <th>日期</th>
                        <th>当天关注粉丝</th>
                        <th>当天留存</th>
                        <th>2天留存</th>
                        <th>3天留存</th>
                        <th>4天留存</th>
                        <th>5天留存</th>
                        <th>6天留存</th>
                        <th>7天留存</th>
                    </tr>
                </thead>
                <tbody>
                    {
                        data?.map((item,i) => {
                            return <tr key={i}>
                                <td><div >{item?.statisticsDate}</div></td>
                                <td><div className={style.my_tage}>{item?.subscribeCount}</div></td>
                                <td><div className={style.my_tage}>{'0' in item?.keepOfDay ? handleData(item?.keepOfDay[0], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'1' in item?.keepOfDay ? handleData(item?.keepOfDay[1], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'2' in item?.keepOfDay ? handleData(item?.keepOfDay[2], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'3' in item?.keepOfDay ? handleData(item?.keepOfDay[3], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'4' in item?.keepOfDay ? handleData(item?.keepOfDay[4], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'5' in item?.keepOfDay ? handleData(item?.keepOfDay[5], item?.subscribeCount) : '--'}</div></td>
                                <td><div className={style.my_tage}>{'6' in item?.keepOfDay ? handleData(item?.keepOfDay[6], item?.subscribeCount) : '--'}</div></td>
                            </tr>
                        })
                    }
                </tbody>
            </table>
        </div>
        <table>
            <tbody>
                <tr>
                    <td style={{border: 0}}><div></div></td>
                    <td style={{lineHeight: '32px'}}>平均留存率</td>
                    <td><div className={style.my_tage}>{retentions[0]}</div></td>
                    <td><div className={style.my_tage}>{retentions[1]}</div></td>
                    <td><div className={style.my_tage}>{retentions[2]}</div></td>
                    <td><div className={style.my_tage}>{retentions[3]}</div></td>
                    <td><div className={style.my_tage}>{retentions[4]}</div></td>
                    <td><div className={style.my_tage}>{retentions[5]}</div></td>
                    <td><div className={style.my_tage}>{retentions[6]}</div></td>
                </tr>
                
            </tbody>
        </table>
        
    </div>
}

export default CustomTable