import React, { useState, useEffect, useCallback } from 'react';

import { Tooltip, Row, Col, Radio, Card } from 'antd';
import { QuestionCircleOutlined } from '@ant-design/icons';
import style from '../../index.less';
import DatePickePage from '@/components/DatePicker';
import { useBeforeTime } from '@/Hook/useDate';
import CustomTable from './components/CustomTable'
import { Link, useModel } from 'umi';

/**
 * 忠诚度
 */

const Loyalty: React.FC = () => {
    const [tabNmae, setTabName] = useState<string>('pce')
    const endDay = useBeforeTime(1, 'day', 'YYYY-MM-DD')
    const [date, setDate] = useState<string | [string, string]>(endDay)//存放日期
    const actionWX = useModel('useOperating.useWxGroupList', model => model.state.actionWX)
    const { fansKeep } = useModel('useOperating.useOperate', model => ({ fansKeep: model.fansKeep }))
    const [data, setData] = useState<any[]>([])
    let DatePickerChange = (mo: any, str: string | [string, string]) => {
        setDate(str)
    }
    let onChange = (activeKey: any) => {
        setTabName(activeKey.target.value)
    }

    const handleData = useCallback((res: any[]) =>{
        setData(res)
    }, [])

    useEffect(() => {
        if (actionWX && date.length > 0) {
            fansKeep.run({ mpId: actionWX?.id, statisticsKeepDto : {"statisticsDate": date} }).then((res) => {
                res && handleData(res)
            })
        }
    }, [date, actionWX])

    return <>
        <div className={style.grow_header}>
            <div className={style.grow_header_bottom} style={{ borderBottomWidth: '1px', borderColor: '#91d5ff', backgroundColor: '#e6f7ff'}}>
                <Tooltip title=''>
                    <QuestionCircleOutlined style={{ color: 'red', marginRight: 10 }} />
                </Tooltip>
                提供强大的素材共享功能，去 <span style={{color: '#3b74ff'}}> <Link to='/operatePage/material/cloud'>【素材库】</Link></span> 编辑优质图文提高粉丝忠诚度。
            </div>
            <div className={style.grow_header_top} >
                <Row gutter={[8, 8]}>
                    <Col ><DatePickePage model='DatePicker' DatePickerChange={DatePickerChange} scope={{ num: 33, unit: 'day' }} before={1} date={date} /></Col>
                </Row>
            </div>
        </div>
        <Card>
            <div style={{color: '#686868'}}>
                粉丝留存率统计
                <Tooltip title='留存率越高，说明新增的粉丝更可能是您的目标用户，粉丝质量越好。其中，2天留存（即次日留存）最直观反映新增粉丝对公众号的认可度；7天留存则比较接近稳定的长期留存数。'>
                    <QuestionCircleOutlined style={{ color: 'red', marginLeft: 10 }} />
                </Tooltip>
            </div>
            <Radio.Group onChange={onChange} value={tabNmae} style={{ marginTop: 20 }}>
                <Radio.Button value="pce">显示百分比</Radio.Button>
                <Radio.Button value="noc">显示关注数</Radio.Button>
            </Radio.Group>
            <CustomTable data={data} tabNmae={tabNmae}></CustomTable>
        </Card>
        
    </>
}
export default React.memo(Loyalty)

