import React, { lazy, Suspense, useState } from 'react'
import { Tabs } from 'antd'
import style from '../index.less'

const { TabPane } = Tabs;

interface TabProps {
    data?: TabData[]
}
interface TabData {
    name: string,
    key: string
}
let Grow = lazy(() => import('./Grow'))
let Attribute = lazy(() => import('./Attribute'))
let Activity = lazy(() => import('./Activity'))
let Loyalty = lazy(() => import('./Loyalty'))
let Impact = lazy(() => import('./Imoact'))
let Interaction = lazy(() => import('./Interaction'))


function TabPage(props: TabProps) {
    const [tabNmae, setTabName] = useState<string>('粉丝增长')
    let onChange = (activeKey: any) => {
        setTabName(activeKey)
    }
    return <Suspense fallback={'加载'}>
        <Tabs type="card" className={style.tabbox} onChange={onChange} activeKey={tabNmae}>
            <TabPane tab='粉丝增长' key='粉丝增长'>
                {tabNmae === '粉丝增长' && <Grow tabName={tabNmae} />}
            </TabPane>
            <TabPane tab='粉丝属性' key='粉丝属性'>
                {tabNmae === '粉丝属性' && <Attribute />}
            </TabPane>
            <TabPane tab='活跃度' key='活跃度'>
                {tabNmae === '活跃度' && <Activity />}
            </TabPane>
            <TabPane tab='忠诚度' key='忠诚度'>
                {tabNmae === '忠诚度' && <Loyalty />}
            </TabPane>
            <TabPane tab='图文影响力' key='图文影响力'>
                {tabNmae === '图文影响力' && <Impact tabName={tabNmae} />}
            </TabPane>
            <TabPane tab='互动消息' key='互动消息'>
                {tabNmae === '互动消息' && <Interaction />}
            </TabPane>
        </Tabs>
    </Suspense>

}

export default React.memo(TabPage)