import WxDetailsBox from '@/components/WxDetailsBox'
import { PlusOutlined, UnorderedListOutlined } from '@ant-design/icons'
import { Button, Spin } from 'antd'
import React, { useCallback, useEffect, useState } from 'react'
import { useModel } from 'umi'
import style from './index.less'
import { SortableContainer, SortableElement } from 'react-sortable-hoc'
import arrayMove from 'array-move';
const ModelBox = () => {
    const { state, addMenu, setItemId, setMenuId, addMenuItem, getMenus, dispatch } = useModel('useOperating.useWeMenu')
    let { defaultMenu, actionMenuId, actionItemId, } = state
    const [itemHide, setItemHide] = useState<boolean>(false)
    const ParentButtonBox = SortableContainer(({ children }: any) => children)
    const ParentButtonItem = SortableElement(({ children }: any) => children)
    /**父级按钮拖动结束事件*/
    const parentonSortEnd = ({ oldIndex, newIndex }: any) => {
        defaultMenu.buttons = arrayMove(defaultMenu?.buttons, oldIndex, newIndex)?.map((item: any, index: any) => { return { ...item, menuId: index + 1 } })//改变主按钮顺序
        setMenuId(newIndex + 1)//位置改变后选中原来的按钮
        dispatch({ type: 'moveAddMenu', params: { defaultMenu } })
        setItemHide(false)
    }
    /**子级按钮拖动*/
    const chionSortEnd = ({ oldIndex, newIndex }: any) => {
        defaultMenu.buttons[actionMenuId - 1].subButtons = arrayMove(defaultMenu.buttons[actionMenuId - 1].subButtons, oldIndex, newIndex)?.map((item: any, index: any) => {
            return { ...item, itemId: index + 1 }
        })
        setItemId(newIndex + 1)//位置改变后选中原来的按钮
        dispatch({ type: 'moveAddMenu', params: { defaultMenu } })
        setItemHide(false)
    }
    return <div className={style.modelbox}>
        {/**内容详情 */}
        <div className={style.modelbox_header} />
        {
            getMenus?.loading ? <Spin style={{ display: 'flex', justifyContent: 'center', alignItems: 'center', height: '100%' }} /> : <>
                {//模型手机中展示的内容
                    defaultMenu?.buttons?.map((menus: any, index: number) => {
                        if (menus.menuId === actionMenuId) {
                            if (menus?.subButtons?.length < 1) {
                                return <WxDetailsBox data={menus?.msgContent} key={index} />
                            }
                            return menus?.subButtons?.map((items: any, n: number) => {
                                if (items.itemId === actionItemId) {
                                    return <WxDetailsBox data={items?.msgContent} key={n} />
                                }
                                return null
                            })

                        }
                    })
                }
                {/* 模型手机底部按钮 */}
                <div className={style.modelbox_footer}>
                    <div className={style.modelbox_footer_box}>
                        <ParentButtonBox axis="x" onSortEnd={parentonSortEnd} pressDelay={200} >
                            <div>
                                {
                                    defaultMenu?.buttons?.map((item: any, index: number) => {
                                        // class逻辑只有当索引+1等于菜单ID的时候并且没有选中子菜单时添加选中样式
                                        return (
                                            <div key={item?.menuId}>
                                                <ParentButtonItem key={item?.menuId} index={index}>
                                                    < div key={item?.menuId} className={index + 1 === actionMenuId && !actionItemId ? style.action : undefined}>
                                                        <div onClick={() => {
                                                            setMenuId(item.menuId)
                                                            if (item?.type === 'click') {
                                                                dispatch({ type: 'msgType', params: { msgType: item?.msgContent?.msgType } })
                                                            }
                                                        }
                                                        } >
                                                            <span ><UnorderedListOutlined />{item?.name || '菜单名称'}</span>
                                                        </div>
                                                    </div>
                                                </ParentButtonItem>
                                                {!itemHide ? <ParentButtonBox onSortEnd={chionSortEnd} pressDelay={200} >
                                                    <ul
                                                        className={actionMenuId === item?.menuId ? style.modelbox_footer_box_ul : style.hide}
                                                        style={
                                                            defaultMenu?.buttons?.length !== 1 ?
                                                                item?.subButtons?.length === 5 ? { top: `-${item?.subButtons?.length * 46 + 14}px` } : { top: `-${item?.subButtons?.length * 46 + 60}px` }
                                                                :
                                                                item?.subButtons?.length === 5 ? { top: `-${item?.subButtons?.length * 46 + 14}px`, width: 149 } : { top: `-${item?.subButtons?.length * 46 + 60}px`, width: 149 }
                                                        }
                                                    >
                                                        {
                                                            item?.subButtons?.map((li: any, index: number) => {
                                                                return <ParentButtonItem key={li?.itemId} index={index}>
                                                                    <li
                                                                        onClick={() => {
                                                                            setItemId(li?.itemId)
                                                                            if (li?.type === 'click') {
                                                                                dispatch({ type: 'msgType', params: { msgType: li?.msgContent?.msgType } })
                                                                            }
                                                                        }}
                                                                        key={li?.itemId}
                                                                        className={li?.itemId === actionItemId ? style.action : undefined}
                                                                    >
                                                                        <span>{li?.name || '子菜单名称'}</span>
                                                                    </li>
                                                                </ParentButtonItem>
                                                            })
                                                        }
                                                        {
                                                            item?.subButtons?.length !== 5 && <li onClick={addMenuItem}><PlusOutlined /></li>
                                                        }
                                                    </ul> </ParentButtonBox> : <></>}
                                            </div>
                                        )
                                    })
                                }
                                {
                                    defaultMenu?.buttons?.length !== 3 && <div onClick={addMenu}>
                                        <div>
                                            <PlusOutlined />
                                        </div>
                                    </div>
                                }
                            </div>
                        </ParentButtonBox>
                    </div>
                </div>
            </>
        }
    </div >
}

export default ModelBox